
/* A Bison parser, made by GNU Bison 2.4.1.  */

/* Skeleton implementation for Bison's Yacc-like parsers in C
   
      Copyright (C) 1984, 1989, 1990, 2000, 2001, 2002, 2003, 2004, 2005, 2006
   Free Software Foundation, Inc.
   
   This program is free software: you can redistribute it and/or modify
   it under the terms of the GNU General Public License as published by
   the Free Software Foundation, either version 3 of the License, or
   (at your option) any later version.
   
   This program is distributed in the hope that it will be useful,
   but WITHOUT ANY WARRANTY; without even the implied warranty of
   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
   GNU General Public License for more details.
   
   You should have received a copy of the GNU General Public License
   along with this program.  If not, see <http://www.gnu.org/licenses/>.  */

/* As a special exception, you may create a larger work that contains
   part or all of the Bison parser skeleton and distribute that work
   under terms of your choice, so long as that work isn't itself a
   parser generator using the skeleton or a modified version thereof
   as a parser skeleton.  Alternatively, if you modify or redistribute
   the parser skeleton itself, you may (at your option) remove this
   special exception, which will cause the skeleton and the resulting
   Bison output files to be licensed under the GNU General Public
   License without this special exception.
   
   This special exception was added by the Free Software Foundation in
   version 2.2 of Bison.  */

/* C LALR(1) parser skeleton written by Richard Stallman, by
   simplifying the original so-called "semantic" parser.  */

/* All symbols defined below should begin with yy or YY, to avoid
   infringing on user name space.  This should be done even for local
   variables, as they might otherwise be expanded by user macros.
   There are some unavoidable exceptions within include files to
   define necessary library symbols; they are noted "INFRINGES ON
   USER NAME SPACE" below.  */

/* Identify Bison output.  */
#define YYBISON 1

/* Bison version.  */
#define YYBISON_VERSION "2.4.1"

/* Skeleton name.  */
#define YYSKELETON_NAME "yacc.c"

/* Pure parsers.  */
#define YYPURE 0

/* Push parsers.  */
#define YYPUSH 0

/* Pull parsers.  */
#define YYPULL 1

/* Using locations.  */
#define YYLSP_NEEDED 1

/* Substitute the variable and function names.  */
#define yyparse         tellparse
#define yylex           telllex
#define yyerror         tellerror
#define yylval          telllval
#define yychar          tellchar
#define yydebug         telldebug
#define yynerrs         tellnerrs
#define yylloc          telllloc

/* Copy the first part of user declarations.  */

/* Line 189 of yacc.c  */
#line 40 "tell_yacc.yy"

#include "tpdph.h"
#include <sstream>
#include "tellyzer.h"
#include "ted_prompt.h"
#include "../tpd_common/outbox.h"
/* Switch on verbose error reporting messages*/
#define YYERROR_VERBOSE 1
/*Current command block - defined in tellyzer.cpp*/
extern parsercmd::cmdBLOCK*       CMDBlock;
/*Global console object*/
extern console::ted_cmd*           Console;
namespace parsercmd
{
   extern int EOfile();
}

/*Current tell variable name*/
telldata::tell_var *tellvar = NULL;
telldata::tell_var *tell_lvalue = NULL;
/*Current variable is a list*/
bool indexed = false;
bool lindexed = false;
/*Current commands - parsed, but not yet in the command stack*/
parsercmd::cmdFOREACH *foreach_command = NULL;
parsercmd::cmdLISTADD *listadd_command = NULL;
/*Current tell struct */
telldata::tell_type *tellstruct = NULL;
/* used for argument type checking during function call parse */
telldata::argumentQ   *argmap  = NULL;
/*taking care when a function is called from the argument list of another call*/
std::stack<telldata::argumentQ*>  argmapstack;

/* Current function declaration structure */
parsercmd::FuncDeclaration *cfd;
/*number of errors in a function defintion*/
int funcdeferrors = 0;
/*number of poits of the current polygon*/
unsigned listlength = 0;
void tellerror(std::string s, TpdYYLtype loc);
void tellerror (std::string s);
void cleanonabort();



/* Line 189 of yacc.c  */
#line 127 "tell_yacc.cc"

/* Enabling traces.  */
#ifndef YYDEBUG
# define YYDEBUG 0
#endif

/* Enabling verbose error messages.  */
#ifdef YYERROR_VERBOSE
# undef YYERROR_VERBOSE
# define YYERROR_VERBOSE 1
#else
# define YYERROR_VERBOSE 0
#endif

/* Enabling the token table.  */
#ifndef YYTOKEN_TABLE
# define YYTOKEN_TABLE 0
#endif


/* Tokens.  */
#ifndef YYTOKENTYPE
# define YYTOKENTYPE
   /* Put the tokens into the symbol table, so that GDB and other debuggers
      know about them.  */
   enum yytokentype {
     tknERROR = 258,
     tknIF = 259,
     tknELSE = 260,
     tknWHILE = 261,
     tknREPEAT = 262,
     tknUNTIL = 263,
     tknFOREACH = 264,
     tknSTRUCTdef = 265,
     tknVOIDdef = 266,
     tknREALdef = 267,
     tknBOOLdef = 268,
     tknINTdef = 269,
     tknSTRINGdef = 270,
     tknLAYOUTdef = 271,
     tknLISTdef = 272,
     tknRETURN = 273,
     tknTRUE = 274,
     tknFALSE = 275,
     tknLEQ = 276,
     tknGEQ = 277,
     tknEQ = 278,
     tknNEQ = 279,
     tknAND = 280,
     tknOR = 281,
     tknNOT = 282,
     tknBWAND = 283,
     tknBWOR = 284,
     tknBWNOT = 285,
     tknSW = 286,
     tknSE = 287,
     tknNE = 288,
     tknNW = 289,
     tknPREADD = 290,
     tknPRESUB = 291,
     tknPOSTADD = 292,
     tknPOSTSUB = 293,
     tknCONST = 294,
     tknIDENTIFIER = 295,
     tknFIELD = 296,
     tknSTRING = 297,
     tknREAL = 298,
     tknINT = 299
   };
#endif
/* Tokens.  */
#define tknERROR 258
#define tknIF 259
#define tknELSE 260
#define tknWHILE 261
#define tknREPEAT 262
#define tknUNTIL 263
#define tknFOREACH 264
#define tknSTRUCTdef 265
#define tknVOIDdef 266
#define tknREALdef 267
#define tknBOOLdef 268
#define tknINTdef 269
#define tknSTRINGdef 270
#define tknLAYOUTdef 271
#define tknLISTdef 272
#define tknRETURN 273
#define tknTRUE 274
#define tknFALSE 275
#define tknLEQ 276
#define tknGEQ 277
#define tknEQ 278
#define tknNEQ 279
#define tknAND 280
#define tknOR 281
#define tknNOT 282
#define tknBWAND 283
#define tknBWOR 284
#define tknBWNOT 285
#define tknSW 286
#define tknSE 287
#define tknNE 288
#define tknNW 289
#define tknPREADD 290
#define tknPRESUB 291
#define tknPOSTADD 292
#define tknPOSTSUB 293
#define tknCONST 294
#define tknIDENTIFIER 295
#define tknFIELD 296
#define tknSTRING 297
#define tknREAL 298
#define tknINT 299




#if ! defined YYSTYPE && ! defined YYSTYPE_IS_DECLARED
typedef union YYSTYPE
{

/* Line 214 of yacc.c  */
#line 219 "tell_yacc.yy"

   float                       real;
   bool                        ptypedef;
   int                         integer;
   char*                       parsestr;
    telldata::typeID           pttname;
   parsercmd::argumentLIST*    pfarguments;
    telldata::argumentQ*       plarguments;
    telldata::argumentID*      parguments;
   parsercmd::cmdBLOCK*        pblock;
   parsercmd::cmdFUNC*         pfblock;
   parsercmd::FuncDeclaration* pfdeclaration;



/* Line 214 of yacc.c  */
#line 267 "tell_yacc.cc"
} YYSTYPE;
# define YYSTYPE_IS_TRIVIAL 1
# define yystype YYSTYPE /* obsolescent; will be withdrawn */
# define YYSTYPE_IS_DECLARED 1
#endif

#if ! defined YYLTYPE && ! defined YYLTYPE_IS_DECLARED
typedef struct YYLTYPE
{
  int first_line;
  int first_column;
  int last_line;
  int last_column;
} YYLTYPE;
# define yyltype YYLTYPE /* obsolescent; will be withdrawn */
# define YYLTYPE_IS_DECLARED 1
# define YYLTYPE_IS_TRIVIAL 1
#endif


/* Copy the second part of user declarations.  */


/* Line 264 of yacc.c  */
#line 292 "tell_yacc.cc"

#ifdef short
# undef short
#endif

#ifdef YYTYPE_UINT8
typedef YYTYPE_UINT8 yytype_uint8;
#else
typedef unsigned char yytype_uint8;
#endif

#ifdef YYTYPE_INT8
typedef YYTYPE_INT8 yytype_int8;
#elif (defined __STDC__ || defined __C99__FUNC__ \
     || defined __cplusplus || defined _MSC_VER)
typedef signed char yytype_int8;
#else
typedef short int yytype_int8;
#endif

#ifdef YYTYPE_UINT16
typedef YYTYPE_UINT16 yytype_uint16;
#else
typedef unsigned short int yytype_uint16;
#endif

#ifdef YYTYPE_INT16
typedef YYTYPE_INT16 yytype_int16;
#else
typedef short int yytype_int16;
#endif

#ifndef YYSIZE_T
# ifdef __SIZE_TYPE__
#  define YYSIZE_T __SIZE_TYPE__
# elif defined size_t
#  define YYSIZE_T size_t
# elif ! defined YYSIZE_T && (defined __STDC__ || defined __C99__FUNC__ \
     || defined __cplusplus || defined _MSC_VER)
#  include <stddef.h> /* INFRINGES ON USER NAME SPACE */
#  define YYSIZE_T size_t
# else
#  define YYSIZE_T unsigned int
# endif
#endif

#define YYSIZE_MAXIMUM ((YYSIZE_T) -1)

#ifndef YY_
# if YYENABLE_NLS
#  if ENABLE_NLS
#   include <libintl.h> /* INFRINGES ON USER NAME SPACE */
#   define YY_(msgid) dgettext ("bison-runtime", msgid)
#  endif
# endif
# ifndef YY_
#  define YY_(msgid) msgid
# endif
#endif

/* Suppress unused-variable warnings by "using" E.  */
#if ! defined lint || defined __GNUC__
# define YYUSE(e) ((void) (e))
#else
# define YYUSE(e) /* empty */
#endif

/* Identity function, used to suppress warnings about constant conditions.  */
#ifndef lint
# define YYID(n) (n)
#else
#if (defined __STDC__ || defined __C99__FUNC__ \
     || defined __cplusplus || defined _MSC_VER)
static int
YYID (int yyi)
#else
static int
YYID (yyi)
    int yyi;
#endif
{
  return yyi;
}
#endif

#if ! defined yyoverflow || YYERROR_VERBOSE

/* The parser invokes alloca or malloc; define the necessary symbols.  */

# ifdef YYSTACK_USE_ALLOCA
#  if YYSTACK_USE_ALLOCA
#   ifdef __GNUC__
#    define YYSTACK_ALLOC __builtin_alloca
#   elif defined __BUILTIN_VA_ARG_INCR
#    include <alloca.h> /* INFRINGES ON USER NAME SPACE */
#   elif defined _AIX
#    define YYSTACK_ALLOC __alloca
#   elif defined _MSC_VER
#    include <malloc.h> /* INFRINGES ON USER NAME SPACE */
#    define alloca _alloca
#   else
#    define YYSTACK_ALLOC alloca
#    if ! defined _ALLOCA_H && ! defined _STDLIB_H && (defined __STDC__ || defined __C99__FUNC__ \
     || defined __cplusplus || defined _MSC_VER)
#     include <stdlib.h> /* INFRINGES ON USER NAME SPACE */
#     ifndef _STDLIB_H
#      define _STDLIB_H 1
#     endif
#    endif
#   endif
#  endif
# endif

# ifdef YYSTACK_ALLOC
   /* Pacify GCC's `empty if-body' warning.  */
#  define YYSTACK_FREE(Ptr) do { /* empty */; } while (YYID (0))
#  ifndef YYSTACK_ALLOC_MAXIMUM
    /* The OS might guarantee only one guard page at the bottom of the stack,
       and a page size can be as small as 4096 bytes.  So we cannot safely
       invoke alloca (N) if N exceeds 4096.  Use a slightly smaller number
       to allow for a few compiler-allocated temporary stack slots.  */
#   define YYSTACK_ALLOC_MAXIMUM 4032 /* reasonable circa 2006 */
#  endif
# else
#  define YYSTACK_ALLOC YYMALLOC
#  define YYSTACK_FREE YYFREE
#  ifndef YYSTACK_ALLOC_MAXIMUM
#   define YYSTACK_ALLOC_MAXIMUM YYSIZE_MAXIMUM
#  endif
#  if (defined __cplusplus && ! defined _STDLIB_H \
       && ! ((defined YYMALLOC || defined malloc) \
	     && (defined YYFREE || defined free)))
#   include <stdlib.h> /* INFRINGES ON USER NAME SPACE */
#   ifndef _STDLIB_H
#    define _STDLIB_H 1
#   endif
#  endif
#  ifndef YYMALLOC
#   define YYMALLOC malloc
#   if ! defined malloc && ! defined _STDLIB_H && (defined __STDC__ || defined __C99__FUNC__ \
     || defined __cplusplus || defined _MSC_VER)
void *malloc (YYSIZE_T); /* INFRINGES ON USER NAME SPACE */
#   endif
#  endif
#  ifndef YYFREE
#   define YYFREE free
#   if ! defined free && ! defined _STDLIB_H && (defined __STDC__ || defined __C99__FUNC__ \
     || defined __cplusplus || defined _MSC_VER)
void free (void *); /* INFRINGES ON USER NAME SPACE */
#   endif
#  endif
# endif
#endif /* ! defined yyoverflow || YYERROR_VERBOSE */


#if (! defined yyoverflow \
     && (! defined __cplusplus \
	 || (defined YYLTYPE_IS_TRIVIAL && YYLTYPE_IS_TRIVIAL \
	     && defined YYSTYPE_IS_TRIVIAL && YYSTYPE_IS_TRIVIAL)))

/* A type that is properly aligned for any stack member.  */
union yyalloc
{
  yytype_int16 yyss_alloc;
  YYSTYPE yyvs_alloc;
  YYLTYPE yyls_alloc;
};

/* The size of the maximum gap between one aligned stack and the next.  */
# define YYSTACK_GAP_MAXIMUM (sizeof (union yyalloc) - 1)

/* The size of an array large to enough to hold all stacks, each with
   N elements.  */
# define YYSTACK_BYTES(N) \
     ((N) * (sizeof (yytype_int16) + sizeof (YYSTYPE) + sizeof (YYLTYPE)) \
      + 2 * YYSTACK_GAP_MAXIMUM)

/* Copy COUNT objects from FROM to TO.  The source and destination do
   not overlap.  */
# ifndef YYCOPY
#  if defined __GNUC__ && 1 < __GNUC__
#   define YYCOPY(To, From, Count) \
      __builtin_memcpy (To, From, (Count) * sizeof (*(From)))
#  else
#   define YYCOPY(To, From, Count)		\
      do					\
	{					\
	  YYSIZE_T yyi;				\
	  for (yyi = 0; yyi < (Count); yyi++)	\
	    (To)[yyi] = (From)[yyi];		\
	}					\
      while (YYID (0))
#  endif
# endif

/* Relocate STACK from its old location to the new one.  The
   local variables YYSIZE and YYSTACKSIZE give the old and new number of
   elements in the stack, and YYPTR gives the new location of the
   stack.  Advance YYPTR to a properly aligned location for the next
   stack.  */
# define YYSTACK_RELOCATE(Stack_alloc, Stack)				\
    do									\
      {									\
	YYSIZE_T yynewbytes;						\
	YYCOPY (&yyptr->Stack_alloc, Stack, yysize);			\
	Stack = &yyptr->Stack_alloc;					\
	yynewbytes = yystacksize * sizeof (*Stack) + YYSTACK_GAP_MAXIMUM; \
	yyptr += yynewbytes / sizeof (*yyptr);				\
      }									\
    while (YYID (0))

#endif

/* YYFINAL -- State number of the termination state.  */
#define YYFINAL  79
/* YYLAST -- Last index in YYTABLE.  */
#define YYLAST   811

/* YYNTOKENS -- Number of terminals.  */
#define YYNTOKENS  60
/* YYNNTS -- Number of nonterminals.  */
#define YYNNTS  60
/* YYNRULES -- Number of rules.  */
#define YYNRULES  142
/* YYNRULES -- Number of states.  */
#define YYNSTATES  245

/* YYTRANSLATE(YYLEX) -- Bison symbol number corresponding to YYLEX.  */
#define YYUNDEFTOK  2
#define YYMAXUTOK   299

#define YYTRANSLATE(YYX)						\
  ((unsigned int) (YYX) <= YYMAXUTOK ? yytranslate[YYX] : YYUNDEFTOK)

/* YYTRANSLATE[YYLEX] -- Bison symbol number corresponding to YYLEX.  */
static const yytype_uint8 yytranslate[] =
{
       0,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
      46,    47,    58,    56,    51,    57,     2,    59,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,    45,
      54,    50,    55,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,    52,     2,    53,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,    48,     2,    49,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     1,     2,     3,     4,
       5,     6,     7,     8,     9,    10,    11,    12,    13,    14,
      15,    16,    17,    18,    19,    20,    21,    22,    23,    24,
      25,    26,    27,    28,    29,    30,    31,    32,    33,    34,
      35,    36,    37,    38,    39,    40,    41,    42,    43,    44
};

#if YYDEBUG
/* YYPRHS[YYN] -- Index of the first RHS symbol of rule number YYN in
   YYRHS.  */
static const yytype_uint16 yyprhs[] =
{
       0,     0,     3,     5,     8,    10,    12,    15,    17,    19,
      20,    27,    30,    31,    36,    38,    41,    42,    49,    51,
      52,    57,    58,    59,    67,    69,    70,    71,    81,    82,
      83,    92,    94,    97,   101,   103,   106,   108,   111,   114,
     116,   118,   120,   122,   125,   128,   131,   134,   137,   138,
     144,   148,   152,   153,   155,   157,   159,   161,   163,   167,
     168,   170,   172,   176,   179,   181,   183,   185,   187,   189,
     192,   196,   200,   203,   205,   208,   210,   212,   214,   216,
     218,   220,   222,   223,   230,   232,   236,   239,   244,   250,
     255,   261,   266,   272,   277,   283,   288,   295,   301,   308,
     314,   315,   320,   323,   325,   329,   333,   335,   339,   343,
     345,   349,   353,   355,   359,   363,   367,   371,   373,   377,
     381,   385,   389,   393,   397,   399,   403,   407,   409,   412,
     415,   418,   420,   422,   424,   426,   428,   430,   432,   434,
     436,   440,   442
};

/* YYRHS -- A `-1'-separated list of the rules' RHS.  */
static const yytype_int8 yyrhs[] =
{
      61,     0,    -1,    62,    -1,    61,    62,    -1,    85,    -1,
      65,    -1,    63,    45,    -1,     3,    -1,     1,    -1,    -1,
      99,    40,    46,    64,    92,    47,    -1,    63,    66,    -1,
      -1,    48,    67,    84,    49,    -1,    18,    -1,    18,    90,
      -1,    -1,     4,    46,   112,    47,    70,    83,    -1,    69,
      -1,    -1,    69,     5,    72,    83,    -1,    -1,    -1,     6,
      46,    74,   112,    47,    75,    83,    -1,   112,    -1,    -1,
      -1,     9,    46,    78,    95,    45,    76,    47,    79,    83,
      -1,    -1,    -1,     7,    81,    83,     8,    46,    82,   112,
      47,    -1,    85,    -1,    48,    49,    -1,    48,    84,    49,
      -1,    85,    -1,    84,    85,    -1,    45,    -1,    97,    45,
      -1,    88,    45,    -1,    71,    -1,    73,    -1,    77,    -1,
      80,    -1,    68,    45,    -1,    86,    45,    -1,   107,    45,
      -1,   108,    45,    -1,   101,    45,    -1,    -1,    40,    46,
      87,    89,    47,    -1,    95,    50,    90,    -1,   106,    50,
      90,    -1,    -1,    91,    -1,   112,    -1,    88,    -1,   109,
      -1,    90,    -1,    91,    51,    90,    -1,    -1,    93,    -1,
      94,    -1,    93,    51,    94,    -1,    99,    40,    -1,    96,
      -1,    97,    -1,    40,    -1,   104,    -1,   105,    -1,    99,
      40,    -1,    39,    99,    40,    -1,    97,    51,    40,    -1,
      99,    40,    -1,   100,    -1,   100,    17,    -1,    11,    -1,
      12,    -1,    14,    -1,    13,    -1,    15,    -1,    16,    -1,
      40,    -1,    -1,    10,    40,   102,    48,   103,    49,    -1,
      98,    -1,   103,    45,    98,    -1,    96,    41,    -1,    96,
      52,   112,    53,    -1,    96,    52,    35,   112,    53,    -1,
      96,    52,    35,    53,    -1,    96,    52,   112,    37,    53,
      -1,    96,    52,    37,    53,    -1,    96,    52,    36,   112,
      53,    -1,    96,    52,    36,    53,    -1,    96,    52,   112,
      38,    53,    -1,    96,    52,    38,    53,    -1,    96,    52,
     112,    36,   112,    53,    -1,    96,    52,   112,    36,    53,
      -1,    96,    52,   112,    38,   112,    53,    -1,    96,    52,
      38,   112,    53,    -1,    -1,    48,   110,    89,    49,    -1,
      99,   109,    -1,   113,    -1,   112,    26,   113,    -1,   112,
      29,   113,    -1,   114,    -1,   113,    25,   114,    -1,   113,
      28,   114,    -1,   115,    -1,   114,    23,   115,    -1,   114,
      24,   115,    -1,   116,    -1,   115,    54,   116,    -1,   115,
      55,   116,    -1,   115,    21,   116,    -1,   115,    22,   116,
      -1,   117,    -1,   116,    56,   117,    -1,   116,    57,   117,
      -1,   116,    33,   117,    -1,   116,    34,   117,    -1,   116,
      32,   117,    -1,   116,    31,   117,    -1,   118,    -1,   117,
      58,   118,    -1,   117,    59,   118,    -1,   119,    -1,    57,
     119,    -1,    27,   119,    -1,    30,   119,    -1,    43,    -1,
      44,    -1,    19,    -1,    20,    -1,    42,    -1,    96,    -1,
     111,    -1,   107,    -1,   108,    -1,    46,   112,    47,    -1,
      86,    -1,     3,    -1
};

/* YYRLINE[YYN] -- source line where rule number YYN was defined.  */
static const yytype_uint16 yyrline[] =
{
       0,   263,   263,   264,   268,   276,   277,   280,   284,   292,
     292,   303,   311,   311,   322,   334,   350,   350,   369,   373,
     373,   386,   390,   386,   405,   416,   420,   416,   438,   442,
     438,   460,   461,   462,   466,   467,   471,   472,   473,   474,
     475,   476,   477,   478,   479,   480,   481,   482,   486,   486,
     510,   516,   523,   524,   528,   529,   530,   534,   535,   539,
     540,   544,   545,   549,   557,   558,   562,   573,   574,   578,
     589,   600,   613,   626,   627,   632,   633,   634,   635,   636,
     637,   638,   653,   653,   671,   672,   676,   703,   715,   725,
     735,   745,   758,   763,   770,   775,   785,   794,   803,   812,
     824,   824,   848,   870,   871,   872,   876,   877,   878,   882,
     883,   884,   888,   889,   890,   891,   892,   896,   897,   898,
     899,   900,   901,   902,   906,   907,   908,   912,   913,   914,
     915,   919,   921,   923,   925,   927,   930,   932,   934,   935,
     936,   937,   938
};
#endif

#if YYDEBUG || YYERROR_VERBOSE || YYTOKEN_TABLE
/* YYTNAME[SYMBOL-NUM] -- String name of the symbol SYMBOL-NUM.
   First, the terminals, then, starting at YYNTOKENS, nonterminals.  */
static const char *const yytname[] =
{
  "$end", "error", "$undefined", "tknERROR", "tknIF", "tknELSE",
  "tknWHILE", "tknREPEAT", "tknUNTIL", "tknFOREACH", "tknSTRUCTdef",
  "tknVOIDdef", "tknREALdef", "tknBOOLdef", "tknINTdef", "tknSTRINGdef",
  "tknLAYOUTdef", "tknLISTdef", "tknRETURN", "tknTRUE", "tknFALSE",
  "tknLEQ", "tknGEQ", "tknEQ", "tknNEQ", "tknAND", "tknOR", "tknNOT",
  "tknBWAND", "tknBWOR", "tknBWNOT", "tknSW", "tknSE", "tknNE", "tknNW",
  "tknPREADD", "tknPRESUB", "tknPOSTADD", "tknPOSTSUB", "tknCONST",
  "tknIDENTIFIER", "tknFIELD", "tknSTRING", "tknREAL", "tknINT", "';'",
  "'('", "')'", "'{'", "'}'", "'='", "','", "'['", "']'", "'<'", "'>'",
  "'+'", "'-'", "'*'", "'/'", "$accept", "input", "entrance",
  "funcdeclaration", "$@1", "funcdefinition", "funcblock", "$@2",
  "returnstatement", "ifcommon", "$@3", "ifstatement", "$@4",
  "whilestatement", "$@5", "$@6", "telllist", "foreachstatement", "$@7",
  "$@8", "repeatstatement", "$@9", "$@10", "blockstatement", "statements",
  "statement", "funccall", "$@11", "assignment", "arguments", "argument",
  "nearguments", "funcarguments", "funcneargument", "funcargument",
  "lvalue", "variable", "variabledeclaration", "fielddeclaration",
  "telltypeID", "telltype", "recorddefinition", "$@12", "typedefstruct",
  "fieldname", "listindex", "listinsert", "listremove", "listslice",
  "structure", "$@13", "anonymousvar", "expression", "andexpression",
  "eqexpression", "relexpression", "addexpression", "multiexpression",
  "unaryexpression", "primaryexpression", 0
};
#endif

# ifdef YYPRINT
/* YYTOKNUM[YYLEX-NUM] -- Internal token number corresponding to
   token YYLEX-NUM.  */
static const yytype_uint16 yytoknum[] =
{
       0,   256,   257,   258,   259,   260,   261,   262,   263,   264,
     265,   266,   267,   268,   269,   270,   271,   272,   273,   274,
     275,   276,   277,   278,   279,   280,   281,   282,   283,   284,
     285,   286,   287,   288,   289,   290,   291,   292,   293,   294,
     295,   296,   297,   298,   299,    59,    40,    41,   123,   125,
      61,    44,    91,    93,    60,    62,    43,    45,    42,    47
};
# endif

/* YYR1[YYN] -- Symbol number of symbol that rule YYN derives.  */
static const yytype_uint8 yyr1[] =
{
       0,    60,    61,    61,    62,    62,    62,    62,    62,    64,
      63,    65,    67,    66,    68,    68,    70,    69,    71,    72,
      71,    74,    75,    73,    76,    78,    79,    77,    81,    82,
      80,    83,    83,    83,    84,    84,    85,    85,    85,    85,
      85,    85,    85,    85,    85,    85,    85,    85,    87,    86,
      88,    88,    89,    89,    90,    90,    90,    91,    91,    92,
      92,    93,    93,    94,    95,    95,    96,    96,    96,    97,
      97,    97,    98,    99,    99,   100,   100,   100,   100,   100,
     100,   100,   102,   101,   103,   103,   104,   105,   106,   106,
     106,   106,   107,   107,   107,   107,   108,   108,   108,   108,
     110,   109,   111,   112,   112,   112,   113,   113,   113,   114,
     114,   114,   115,   115,   115,   115,   115,   116,   116,   116,
     116,   116,   116,   116,   117,   117,   117,   118,   118,   118,
     118,   119,   119,   119,   119,   119,   119,   119,   119,   119,
     119,   119,   119
};

/* YYR2[YYN] -- Number of symbols composing right hand side of rule YYN.  */
static const yytype_uint8 yyr2[] =
{
       0,     2,     1,     2,     1,     1,     2,     1,     1,     0,
       6,     2,     0,     4,     1,     2,     0,     6,     1,     0,
       4,     0,     0,     7,     1,     0,     0,     9,     0,     0,
       8,     1,     2,     3,     1,     2,     1,     2,     2,     1,
       1,     1,     1,     2,     2,     2,     2,     2,     0,     5,
       3,     3,     0,     1,     1,     1,     1,     1,     3,     0,
       1,     1,     3,     2,     1,     1,     1,     1,     1,     2,
       3,     3,     2,     1,     2,     1,     1,     1,     1,     1,
       1,     1,     0,     6,     1,     3,     2,     4,     5,     4,
       5,     4,     5,     4,     5,     4,     6,     5,     6,     5,
       0,     4,     2,     1,     3,     3,     1,     3,     3,     1,
       3,     3,     1,     3,     3,     3,     3,     1,     3,     3,
       3,     3,     3,     3,     1,     3,     3,     1,     2,     2,
       2,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       3,     1,     1
};

/* YYDEFACT[STATE-NAME] -- Default rule to reduce with in state
   STATE-NUM when YYTABLE doesn't specify something else to do.  Zero
   means the default is an error.  */
static const yytype_uint8 yydefact[] =
{
       0,     8,     7,     0,     0,    28,     0,     0,    75,    76,
      78,    77,    79,    80,    14,     0,    66,    36,     0,     2,
       0,     5,     0,    18,    39,    40,    41,    42,     4,     0,
       0,     0,    64,    65,     0,    73,     0,    67,    68,     0,
       0,     0,     0,    21,     0,    25,    82,   142,   133,   134,
       0,     0,   135,   131,   132,     0,   100,     0,   141,    55,
      15,   136,    65,     0,   138,   139,    56,   137,    54,   103,
     106,   109,   112,   117,   124,   127,    81,     0,    48,     1,
       3,     6,    12,    11,    43,    19,    44,    38,     0,    86,
       0,    37,     0,    69,    74,    47,     0,    45,    46,   136,
       0,     0,     0,     0,     0,    31,     0,     0,     0,   129,
     130,     0,    52,   128,    69,   102,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,    70,    52,     0,     0,    50,     0,
       0,     0,     0,     0,    71,     9,    51,     0,    16,     0,
      32,     0,    34,     0,    66,     0,    64,     0,   140,     0,
      57,    53,   104,   105,   107,   108,   110,   111,   115,   116,
     113,   114,   123,   122,   120,   121,   118,   119,   125,   126,
       0,     0,    20,    89,     0,    93,     0,    91,    95,     0,
       0,     0,     0,    87,    59,     0,     0,    22,    33,    35,
      29,     0,     0,    84,     0,     0,   101,     0,    49,    13,
      88,    92,    99,    97,     0,    90,    94,     0,     0,    60,
      61,     0,    17,     0,     0,     0,    24,     0,    72,     0,
      83,    58,    96,    98,    10,     0,    63,    23,     0,    26,
      85,    62,    30,     0,    27
};

/* YYDEFGOTO[NTERM-NUM].  */
static const yytype_int16 yydefgoto[] =
{
      -1,    18,    19,    20,   194,    21,    83,   136,    22,    23,
     196,    24,   137,    25,   102,   223,   225,    26,   107,   243,
      27,    44,   224,   104,   151,   105,    58,   135,    30,   159,
     160,   161,   218,   219,   220,    31,    99,    33,   203,   100,
      35,    36,   108,   205,    37,    38,    39,    64,    65,    66,
     112,    67,    68,    69,    70,    71,    72,    73,    74,    75
};

/* YYPACT[STATE-NUM] -- Index in YYTABLE of the portion describing
   STATE-NUM.  */
#define YYPACT_NINF -127
static const yytype_int16 yypact[] =
{
     729,  -127,  -127,    -5,    15,  -127,    34,     6,  -127,  -127,
    -127,  -127,  -127,  -127,   300,   225,   -11,  -127,   612,  -127,
     -15,  -127,    11,    82,  -127,  -127,  -127,  -127,  -127,    49,
      84,   110,   -21,   164,    94,   158,   145,  -127,  -127,   148,
     157,   160,   563,  -127,    53,  -127,  -127,  -127,  -127,  -127,
     743,   743,  -127,  -127,  -127,   563,  -127,   743,  -127,  -127,
    -127,    33,   171,   -16,  -127,  -127,  -127,  -127,   129,   155,
      81,    18,   322,   112,  -127,  -127,  -127,   190,  -127,  -127,
    -127,  -127,  -127,  -127,  -127,  -127,  -127,  -127,   300,  -127,
     264,  -127,   192,   181,  -127,  -127,   300,  -127,  -127,    38,
     194,   -13,   563,   625,   236,  -127,   205,   153,   199,  -127,
    -127,    -4,   300,  -127,  -127,  -127,   563,   563,   563,   563,
     563,   563,   563,   563,   563,   563,   563,   563,   563,   563,
     563,   563,   563,   563,  -127,   300,   766,    53,  -127,   383,
     419,   196,   455,    95,  -127,  -127,  -127,   347,  -127,   156,
    -127,   669,  -127,   204,     2,   207,    68,   225,  -127,   211,
    -127,   210,   155,   155,    81,    81,    18,    18,   322,   322,
     322,   322,   112,   112,   112,   112,   112,   112,  -127,  -127,
     216,   682,  -127,  -127,   -17,  -127,    22,  -127,  -127,    24,
     491,   213,   527,  -127,   225,    90,    53,  -127,  -127,  -127,
    -127,   563,   563,  -127,   232,    73,  -127,   300,  -127,  -127,
    -127,  -127,  -127,  -127,    29,  -127,  -127,   123,   234,   231,
    -127,   245,  -127,    53,   563,   239,   129,   124,  -127,   225,
    -127,  -127,  -127,  -127,  -127,   225,  -127,  -127,   187,  -127,
    -127,  -127,  -127,    53,  -127
};

/* YYPGOTO[NTERM-NUM].  */
static const yytype_int16 yypgoto[] =
{
    -127,  -127,   269,  -127,  -127,  -127,  -127,  -127,  -127,  -127,
    -127,  -127,  -127,  -127,  -127,  -127,  -127,  -127,  -127,  -127,
    -127,  -127,  -127,  -126,   152,    27,     5,  -127,   -10,   154,
      -7,  -127,  -127,  -127,    55,   185,     3,   -12,    64,     0,
    -127,  -127,  -127,  -127,  -127,  -127,  -127,     8,    10,   -62,
    -127,  -127,    72,    71,    99,   100,   146,   128,    92,   122
};

/* YYTABLE[YYPACT[STATE-NUM]].  What to do in state STATE-NUM.  If
   positive, shift that token.  If negative, reduce the rule which
   number is the opposite.  If zero, do what YYDEFACT says.
   If YYTABLE_NINF, syntax error.  */
#define YYTABLE_NINF -82
static const yytype_int16 yytable[] =
{
      34,   115,    62,    32,    59,    29,   -81,    60,    40,   116,
      41,   182,   117,   116,    63,    77,   117,    61,    34,   -81,
      89,    32,   116,    29,   114,   117,    40,    28,    41,   -81,
      81,    90,    56,    82,   148,    78,   210,   -81,   115,   122,
     123,    42,   -81,   158,   106,    28,    46,    32,   116,    29,
     116,   117,    40,   117,    41,   116,    84,     3,   117,     4,
       5,    43,     6,     7,     8,     9,    10,    11,    12,    13,
     222,    14,   124,   125,    89,   211,    62,   212,    59,    89,
      45,   138,   232,   -64,    62,    90,    59,    85,    63,   146,
     147,    61,    15,    16,    86,    62,    63,   237,    17,    61,
      62,   103,    59,   106,   120,   121,    32,   106,    29,    89,
     156,    40,    63,    41,   101,    61,   116,   244,   229,   117,
     202,   116,   230,    62,   117,    59,   190,   111,   192,    87,
     152,   190,   191,   192,    93,    63,   106,   106,    61,    32,
      32,    29,    29,   193,    40,    40,    41,    41,   193,   116,
     116,   106,   117,   117,    32,   116,    29,   204,   117,    40,
      88,    41,   143,   152,     8,     9,    10,    11,    12,    13,
     132,   133,   109,   110,   149,    94,   233,   193,   199,   113,
     118,   106,   116,   119,    32,   117,    29,   162,   163,    40,
      95,    41,    15,   154,   221,    62,   106,    59,    96,    32,
     231,    29,    97,   197,    40,    98,    41,    63,   199,    91,
      61,   184,   186,   116,   189,    92,   117,   164,   165,   195,
     166,   167,    92,   106,   178,   179,    32,   145,    29,   204,
     134,    40,   144,    41,   242,   221,     8,     9,    10,    11,
      12,    13,    56,   106,   153,   114,    32,   157,    29,   187,
     200,    40,   201,    41,   172,   173,   174,   175,   176,   177,
     206,   207,   214,   208,   217,    76,   215,    47,   168,   169,
     170,   171,   228,   226,   227,     8,     9,    10,    11,    12,
      13,   234,   235,    48,    49,   236,   239,    80,   181,   180,
     241,    50,   155,   240,    51,     0,   238,     0,     0,   139,
     140,   141,   142,    47,    16,     0,    52,    53,    54,     0,
      55,     8,     9,    10,    11,    12,    13,     0,     0,    48,
      49,    57,     0,     0,     0,     0,     0,    50,     0,     0,
      51,     0,     0,     0,     0,     0,     0,     0,     0,    15,
      16,     0,    52,    53,    54,     0,    55,     0,    56,     0,
      47,     0,     0,   126,   127,   128,   129,    57,     8,     9,
      10,    11,    12,    13,     0,     0,    48,    49,     0,     0,
       0,     0,     0,     0,    50,     0,     0,    51,   130,   131,
       0,     0,     0,   140,     0,   142,    47,    16,     0,    52,
      53,    54,     0,    55,     8,     9,    10,    11,    12,    13,
       0,     0,    48,    49,    57,     0,     0,     0,     0,     0,
      50,     0,     0,    51,     0,     0,     0,     0,     0,     0,
       0,     0,    47,    16,     0,    52,    53,    54,     0,    55,
       8,     9,    10,    11,    12,    13,   183,     0,    48,    49,
      57,     0,     0,     0,     0,     0,    50,     0,     0,    51,
       0,     0,     0,     0,     0,     0,     0,     0,    47,    16,
       0,    52,    53,    54,     0,    55,     8,     9,    10,    11,
      12,    13,   185,     0,    48,    49,    57,     0,     0,     0,
       0,     0,    50,     0,     0,    51,     0,     0,     0,     0,
       0,     0,     0,     0,    47,    16,     0,    52,    53,    54,
       0,    55,     8,     9,    10,    11,    12,    13,   188,     0,
      48,    49,    57,     0,     0,     0,     0,     0,    50,     0,
       0,    51,     0,     0,     0,     0,     0,     0,     0,     0,
      47,    16,     0,    52,    53,    54,     0,    55,     8,     9,
      10,    11,    12,    13,   213,     0,    48,    49,    57,     0,
       0,     0,     0,     0,    50,     0,     0,    51,     0,     0,
       0,     0,     0,     0,     0,     0,    47,    16,     0,    52,
      53,    54,     0,    55,     8,     9,    10,    11,    12,    13,
     216,     0,    48,    49,    57,     0,     0,     0,     0,     0,
      50,     0,     0,    51,     0,     0,     0,     0,     0,     0,
       0,     0,     0,    16,     0,    52,    53,    54,     0,    55,
       0,     0,    79,     1,     0,     2,     3,     0,     4,     5,
      57,     6,     7,     8,     9,    10,    11,    12,    13,     3,
      14,     4,     5,     0,     6,     7,     8,     9,    10,    11,
      12,    13,     0,    14,     0,     0,     0,     0,     0,     0,
       0,    15,    16,     0,     0,     0,     0,    17,     0,     0,
       0,     0,     0,     0,    15,    16,     0,     0,     0,     0,
      17,     0,     0,     3,   150,     4,     5,     0,     6,     7,
       8,     9,    10,    11,    12,    13,     3,    14,     4,     5,
       0,     6,     7,     8,     9,    10,    11,    12,    13,     0,
      14,     0,     0,     0,     0,     0,     0,     0,    15,    16,
       0,     0,     0,     0,    17,     0,     0,     0,   198,     0,
       0,    15,    16,     0,     0,     0,     0,    17,     0,     0,
       1,   209,     2,     3,     0,     4,     5,     0,     6,     7,
       8,     9,    10,    11,    12,    13,    47,    14,     0,     0,
       0,     0,     0,     0,     8,     9,    10,    11,    12,    13,
       0,     0,    48,    49,     0,     0,     0,     0,    15,    16,
       3,     0,     4,     5,    17,     6,     7,     8,     9,    10,
      11,    12,    13,    16,    14,    52,    53,    54,     0,    55,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,    15,    16,     0,     0,     0,
       0,    17
};

static const yytype_int16 yycheck[] =
{
       0,    63,    14,     0,    14,     0,    17,    14,     0,    26,
       0,   137,    29,    26,    14,    15,    29,    14,    18,    17,
      41,    18,    26,    18,    40,    29,    18,     0,    18,    40,
      45,    52,    48,    48,    47,    46,    53,    48,   100,    21,
      22,    46,    40,    47,    44,    18,    40,    44,    26,    44,
      26,    29,    44,    29,    44,    26,    45,     4,    29,     6,
       7,    46,     9,    10,    11,    12,    13,    14,    15,    16,
     196,    18,    54,    55,    41,    53,    88,    53,    88,    41,
      46,    88,    53,    50,    96,    52,    96,     5,    88,    96,
      52,    88,    39,    40,    45,   107,    96,   223,    45,    96,
     112,    48,   112,   103,    23,    24,   103,   107,   103,    41,
     107,   103,   112,   103,    42,   112,    26,   243,    45,    29,
      52,    26,    49,   135,    29,   135,    36,    55,    38,    45,
     103,    36,    37,    38,    40,   135,   136,   137,   135,   136,
     137,   136,   137,    53,   136,   137,   136,   137,    53,    26,
      26,   151,    29,    29,   151,    26,   151,   157,    29,   151,
      50,   151,    90,   136,    11,    12,    13,    14,    15,    16,
      58,    59,    50,    51,   102,    17,    53,    53,   151,    57,
      25,   181,    26,    28,   181,    29,   181,   116,   117,   181,
      45,   181,    39,    40,   194,   207,   196,   207,    50,   196,
     207,   196,    45,    47,   196,    45,   196,   207,   181,    45,
     207,   139,   140,    26,   142,    51,    29,   118,   119,   147,
     120,   121,    51,   223,   132,   133,   223,    46,   223,   229,
      40,   223,    40,   223,    47,   235,    11,    12,    13,    14,
      15,    16,    48,   243,     8,    40,   243,    48,   243,    53,
      46,   243,    45,   243,   126,   127,   128,   129,   130,   131,
      49,    51,   190,    47,   192,    40,    53,     3,   122,   123,
     124,   125,    40,   201,   202,    11,    12,    13,    14,    15,
      16,    47,    51,    19,    20,    40,    47,    18,   136,   135,
     235,    27,   107,   229,    30,    -1,   224,    -1,    -1,    35,
      36,    37,    38,     3,    40,    -1,    42,    43,    44,    -1,
      46,    11,    12,    13,    14,    15,    16,    -1,    -1,    19,
      20,    57,    -1,    -1,    -1,    -1,    -1,    27,    -1,    -1,
      30,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    39,
      40,    -1,    42,    43,    44,    -1,    46,    -1,    48,    -1,
       3,    -1,    -1,    31,    32,    33,    34,    57,    11,    12,
      13,    14,    15,    16,    -1,    -1,    19,    20,    -1,    -1,
      -1,    -1,    -1,    -1,    27,    -1,    -1,    30,    56,    57,
      -1,    -1,    -1,    36,    -1,    38,     3,    40,    -1,    42,
      43,    44,    -1,    46,    11,    12,    13,    14,    15,    16,
      -1,    -1,    19,    20,    57,    -1,    -1,    -1,    -1,    -1,
      27,    -1,    -1,    30,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,     3,    40,    -1,    42,    43,    44,    -1,    46,
      11,    12,    13,    14,    15,    16,    53,    -1,    19,    20,
      57,    -1,    -1,    -1,    -1,    -1,    27,    -1,    -1,    30,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,     3,    40,
      -1,    42,    43,    44,    -1,    46,    11,    12,    13,    14,
      15,    16,    53,    -1,    19,    20,    57,    -1,    -1,    -1,
      -1,    -1,    27,    -1,    -1,    30,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,     3,    40,    -1,    42,    43,    44,
      -1,    46,    11,    12,    13,    14,    15,    16,    53,    -1,
      19,    20,    57,    -1,    -1,    -1,    -1,    -1,    27,    -1,
      -1,    30,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
       3,    40,    -1,    42,    43,    44,    -1,    46,    11,    12,
      13,    14,    15,    16,    53,    -1,    19,    20,    57,    -1,
      -1,    -1,    -1,    -1,    27,    -1,    -1,    30,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,     3,    40,    -1,    42,
      43,    44,    -1,    46,    11,    12,    13,    14,    15,    16,
      53,    -1,    19,    20,    57,    -1,    -1,    -1,    -1,    -1,
      27,    -1,    -1,    30,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    40,    -1,    42,    43,    44,    -1,    46,
      -1,    -1,     0,     1,    -1,     3,     4,    -1,     6,     7,
      57,     9,    10,    11,    12,    13,    14,    15,    16,     4,
      18,     6,     7,    -1,     9,    10,    11,    12,    13,    14,
      15,    16,    -1,    18,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    39,    40,    -1,    -1,    -1,    -1,    45,    -1,    -1,
      -1,    -1,    -1,    -1,    39,    40,    -1,    -1,    -1,    -1,
      45,    -1,    -1,     4,    49,     6,     7,    -1,     9,    10,
      11,    12,    13,    14,    15,    16,     4,    18,     6,     7,
      -1,     9,    10,    11,    12,    13,    14,    15,    16,    -1,
      18,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    39,    40,
      -1,    -1,    -1,    -1,    45,    -1,    -1,    -1,    49,    -1,
      -1,    39,    40,    -1,    -1,    -1,    -1,    45,    -1,    -1,
       1,    49,     3,     4,    -1,     6,     7,    -1,     9,    10,
      11,    12,    13,    14,    15,    16,     3,    18,    -1,    -1,
      -1,    -1,    -1,    -1,    11,    12,    13,    14,    15,    16,
      -1,    -1,    19,    20,    -1,    -1,    -1,    -1,    39,    40,
       4,    -1,     6,     7,    45,     9,    10,    11,    12,    13,
      14,    15,    16,    40,    18,    42,    43,    44,    -1,    46,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    39,    40,    -1,    -1,    -1,
      -1,    45
};

/* YYSTOS[STATE-NUM] -- The (internal number of the) accessing
   symbol of state STATE-NUM.  */
static const yytype_uint8 yystos[] =
{
       0,     1,     3,     4,     6,     7,     9,    10,    11,    12,
      13,    14,    15,    16,    18,    39,    40,    45,    61,    62,
      63,    65,    68,    69,    71,    73,    77,    80,    85,    86,
      88,    95,    96,    97,    99,   100,   101,   104,   105,   106,
     107,   108,    46,    46,    81,    46,    40,     3,    19,    20,
      27,    30,    42,    43,    44,    46,    48,    57,    86,    88,
      90,    96,    97,    99,   107,   108,   109,   111,   112,   113,
     114,   115,   116,   117,   118,   119,    40,    99,    46,     0,
      62,    45,    48,    66,    45,     5,    45,    45,    50,    41,
      52,    45,    51,    40,    17,    45,    50,    45,    45,    96,
      99,   112,    74,    48,    83,    85,    99,    78,   102,   119,
     119,   112,   110,   119,    40,   109,    26,    29,    25,    28,
      23,    24,    21,    22,    54,    55,    31,    32,    33,    34,
      56,    57,    58,    59,    40,    87,    67,    72,    90,    35,
      36,    37,    38,   112,    40,    46,    90,    52,    47,   112,
      49,    84,    85,     8,    40,    95,    96,    48,    47,    89,
      90,    91,   113,   113,   114,   114,   115,   115,   116,   116,
     116,   116,   117,   117,   117,   117,   117,   117,   118,   118,
      89,    84,    83,    53,   112,    53,   112,    53,    53,   112,
      36,    37,    38,    53,    64,   112,    70,    47,    49,    85,
      46,    45,    52,    98,    99,   103,    49,    51,    47,    49,
      53,    53,    53,    53,   112,    53,    53,   112,    92,    93,
      94,    99,    83,    75,    82,    76,   112,   112,    40,    45,
      49,    90,    53,    53,    47,    51,    40,    83,   112,    47,
      98,    94,    47,    79,    83
};

#define yyerrok		(yyerrstatus = 0)
#define yyclearin	(yychar = YYEMPTY)
#define YYEMPTY		(-2)
#define YYEOF		0

#define YYACCEPT	goto yyacceptlab
#define YYABORT		goto yyabortlab
#define YYERROR		goto yyerrorlab


/* Like YYERROR except do call yyerror.  This remains here temporarily
   to ease the transition to the new meaning of YYERROR, for GCC.
   Once GCC version 2 has supplanted version 1, this can go.  */

#define YYFAIL		goto yyerrlab

#define YYRECOVERING()  (!!yyerrstatus)

#define YYBACKUP(Token, Value)					\
do								\
  if (yychar == YYEMPTY && yylen == 1)				\
    {								\
      yychar = (Token);						\
      yylval = (Value);						\
      yytoken = YYTRANSLATE (yychar);				\
      YYPOPSTACK (1);						\
      goto yybackup;						\
    }								\
  else								\
    {								\
      yyerror (YY_("syntax error: cannot back up")); \
      YYERROR;							\
    }								\
while (YYID (0))


#define YYTERROR	1
#define YYERRCODE	256


/* YYLLOC_DEFAULT -- Set CURRENT to span from RHS[1] to RHS[N].
   If N is 0, then set CURRENT to the empty location which ends
   the previous symbol: RHS[0] (always defined).  */

#define YYRHSLOC(Rhs, K) ((Rhs)[K])
#ifndef YYLLOC_DEFAULT
# define YYLLOC_DEFAULT(Current, Rhs, N)				\
    do									\
      if (YYID (N))                                                    \
	{								\
	  (Current).first_line   = YYRHSLOC (Rhs, 1).first_line;	\
	  (Current).first_column = YYRHSLOC (Rhs, 1).first_column;	\
	  (Current).last_line    = YYRHSLOC (Rhs, N).last_line;		\
	  (Current).last_column  = YYRHSLOC (Rhs, N).last_column;	\
	}								\
      else								\
	{								\
	  (Current).first_line   = (Current).last_line   =		\
	    YYRHSLOC (Rhs, 0).last_line;				\
	  (Current).first_column = (Current).last_column =		\
	    YYRHSLOC (Rhs, 0).last_column;				\
	}								\
    while (YYID (0))
#endif


/* YY_LOCATION_PRINT -- Print the location on the stream.
   This macro was not mandated originally: define only if we know
   we won't break user code: when these are the locations we know.  */

#ifndef YY_LOCATION_PRINT
# if YYLTYPE_IS_TRIVIAL
#  define YY_LOCATION_PRINT(File, Loc)			\
     fprintf (File, "%d.%d-%d.%d",			\
	      (Loc).first_line, (Loc).first_column,	\
	      (Loc).last_line,  (Loc).last_column)
# else
#  define YY_LOCATION_PRINT(File, Loc) ((void) 0)
# endif
#endif


/* YYLEX -- calling `yylex' with the right arguments.  */

#ifdef YYLEX_PARAM
# define YYLEX yylex (YYLEX_PARAM)
#else
# define YYLEX yylex ()
#endif

/* Enable debugging if requested.  */
#if YYDEBUG

# ifndef YYFPRINTF
#  include <stdio.h> /* INFRINGES ON USER NAME SPACE */
#  define YYFPRINTF fprintf
# endif

# define YYDPRINTF(Args)			\
do {						\
  if (yydebug)					\
    YYFPRINTF Args;				\
} while (YYID (0))

# define YY_SYMBOL_PRINT(Title, Type, Value, Location)			  \
do {									  \
  if (yydebug)								  \
    {									  \
      YYFPRINTF (stderr, "%s ", Title);					  \
      yy_symbol_print (stderr,						  \
		  Type, Value, Location); \
      YYFPRINTF (stderr, "\n");						  \
    }									  \
} while (YYID (0))


/*--------------------------------.
| Print this symbol on YYOUTPUT.  |
`--------------------------------*/

/*ARGSUSED*/
#if (defined __STDC__ || defined __C99__FUNC__ \
     || defined __cplusplus || defined _MSC_VER)
static void
yy_symbol_value_print (FILE *yyoutput, int yytype, YYSTYPE const * const yyvaluep, YYLTYPE const * const yylocationp)
#else
static void
yy_symbol_value_print (yyoutput, yytype, yyvaluep, yylocationp)
    FILE *yyoutput;
    int yytype;
    YYSTYPE const * const yyvaluep;
    YYLTYPE const * const yylocationp;
#endif
{
  if (!yyvaluep)
    return;
  YYUSE (yylocationp);
# ifdef YYPRINT
  if (yytype < YYNTOKENS)
    YYPRINT (yyoutput, yytoknum[yytype], *yyvaluep);
# else
  YYUSE (yyoutput);
# endif
  switch (yytype)
    {
      default:
	break;
    }
}


/*--------------------------------.
| Print this symbol on YYOUTPUT.  |
`--------------------------------*/

#if (defined __STDC__ || defined __C99__FUNC__ \
     || defined __cplusplus || defined _MSC_VER)
static void
yy_symbol_print (FILE *yyoutput, int yytype, YYSTYPE const * const yyvaluep, YYLTYPE const * const yylocationp)
#else
static void
yy_symbol_print (yyoutput, yytype, yyvaluep, yylocationp)
    FILE *yyoutput;
    int yytype;
    YYSTYPE const * const yyvaluep;
    YYLTYPE const * const yylocationp;
#endif
{
  if (yytype < YYNTOKENS)
    YYFPRINTF (yyoutput, "token %s (", yytname[yytype]);
  else
    YYFPRINTF (yyoutput, "nterm %s (", yytname[yytype]);

  YY_LOCATION_PRINT (yyoutput, *yylocationp);
  YYFPRINTF (yyoutput, ": ");
  yy_symbol_value_print (yyoutput, yytype, yyvaluep, yylocationp);
  YYFPRINTF (yyoutput, ")");
}

/*------------------------------------------------------------------.
| yy_stack_print -- Print the state stack from its BOTTOM up to its |
| TOP (included).                                                   |
`------------------------------------------------------------------*/

#if (defined __STDC__ || defined __C99__FUNC__ \
     || defined __cplusplus || defined _MSC_VER)
static void
yy_stack_print (yytype_int16 *yybottom, yytype_int16 *yytop)
#else
static void
yy_stack_print (yybottom, yytop)
    yytype_int16 *yybottom;
    yytype_int16 *yytop;
#endif
{
  YYFPRINTF (stderr, "Stack now");
  for (; yybottom <= yytop; yybottom++)
    {
      int yybot = *yybottom;
      YYFPRINTF (stderr, " %d", yybot);
    }
  YYFPRINTF (stderr, "\n");
}

# define YY_STACK_PRINT(Bottom, Top)				\
do {								\
  if (yydebug)							\
    yy_stack_print ((Bottom), (Top));				\
} while (YYID (0))


/*------------------------------------------------.
| Report that the YYRULE is going to be reduced.  |
`------------------------------------------------*/

#if (defined __STDC__ || defined __C99__FUNC__ \
     || defined __cplusplus || defined _MSC_VER)
static void
yy_reduce_print (YYSTYPE *yyvsp, YYLTYPE *yylsp, int yyrule)
#else
static void
yy_reduce_print (yyvsp, yylsp, yyrule)
    YYSTYPE *yyvsp;
    YYLTYPE *yylsp;
    int yyrule;
#endif
{
  int yynrhs = yyr2[yyrule];
  int yyi;
  unsigned long int yylno = yyrline[yyrule];
  YYFPRINTF (stderr, "Reducing stack by rule %d (line %lu):\n",
	     yyrule - 1, yylno);
  /* The symbols being reduced.  */
  for (yyi = 0; yyi < yynrhs; yyi++)
    {
      YYFPRINTF (stderr, "   $%d = ", yyi + 1);
      yy_symbol_print (stderr, yyrhs[yyprhs[yyrule] + yyi],
		       &(yyvsp[(yyi + 1) - (yynrhs)])
		       , &(yylsp[(yyi + 1) - (yynrhs)])		       );
      YYFPRINTF (stderr, "\n");
    }
}

# define YY_REDUCE_PRINT(Rule)		\
do {					\
  if (yydebug)				\
    yy_reduce_print (yyvsp, yylsp, Rule); \
} while (YYID (0))

/* Nonzero means print parse trace.  It is left uninitialized so that
   multiple parsers can coexist.  */
int yydebug;
#else /* !YYDEBUG */
# define YYDPRINTF(Args)
# define YY_SYMBOL_PRINT(Title, Type, Value, Location)
# define YY_STACK_PRINT(Bottom, Top)
# define YY_REDUCE_PRINT(Rule)
#endif /* !YYDEBUG */


/* YYINITDEPTH -- initial size of the parser's stacks.  */
#ifndef	YYINITDEPTH
# define YYINITDEPTH 200
#endif

/* YYMAXDEPTH -- maximum size the stacks can grow to (effective only
   if the built-in stack extension method is used).

   Do not make this value too large; the results are undefined if
   YYSTACK_ALLOC_MAXIMUM < YYSTACK_BYTES (YYMAXDEPTH)
   evaluated with infinite-precision integer arithmetic.  */

#ifndef YYMAXDEPTH
# define YYMAXDEPTH 10000
#endif



#if YYERROR_VERBOSE

# ifndef yystrlen
#  if defined __GLIBC__ && defined _STRING_H
#   define yystrlen strlen
#  else
/* Return the length of YYSTR.  */
#if (defined __STDC__ || defined __C99__FUNC__ \
     || defined __cplusplus || defined _MSC_VER)
static YYSIZE_T
yystrlen (const char *yystr)
#else
static YYSIZE_T
yystrlen (yystr)
    const char *yystr;
#endif
{
  YYSIZE_T yylen;
  for (yylen = 0; yystr[yylen]; yylen++)
    continue;
  return yylen;
}
#  endif
# endif

# ifndef yystpcpy
#  if defined __GLIBC__ && defined _STRING_H && defined _GNU_SOURCE
#   define yystpcpy stpcpy
#  else
/* Copy YYSRC to YYDEST, returning the address of the terminating '\0' in
   YYDEST.  */
#if (defined __STDC__ || defined __C99__FUNC__ \
     || defined __cplusplus || defined _MSC_VER)
static char *
yystpcpy (char *yydest, const char *yysrc)
#else
static char *
yystpcpy (yydest, yysrc)
    char *yydest;
    const char *yysrc;
#endif
{
  char *yyd = yydest;
  const char *yys = yysrc;

  while ((*yyd++ = *yys++) != '\0')
    continue;

  return yyd - 1;
}
#  endif
# endif

# ifndef yytnamerr
/* Copy to YYRES the contents of YYSTR after stripping away unnecessary
   quotes and backslashes, so that it's suitable for yyerror.  The
   heuristic is that double-quoting is unnecessary unless the string
   contains an apostrophe, a comma, or backslash (other than
   backslash-backslash).  YYSTR is taken from yytname.  If YYRES is
   null, do not copy; instead, return the length of what the result
   would have been.  */
static YYSIZE_T
yytnamerr (char *yyres, const char *yystr)
{
  if (*yystr == '"')
    {
      YYSIZE_T yyn = 0;
      char const *yyp = yystr;

      for (;;)
	switch (*++yyp)
	  {
	  case '\'':
	  case ',':
	    goto do_not_strip_quotes;

	  case '\\':
	    if (*++yyp != '\\')
	      goto do_not_strip_quotes;
	    /* Fall through.  */
	  default:
	    if (yyres)
	      yyres[yyn] = *yyp;
	    yyn++;
	    break;

	  case '"':
	    if (yyres)
	      yyres[yyn] = '\0';
	    return yyn;
	  }
    do_not_strip_quotes: ;
    }

  if (! yyres)
    return yystrlen (yystr);

  return yystpcpy (yyres, yystr) - yyres;
}
# endif

/* Copy into YYRESULT an error message about the unexpected token
   YYCHAR while in state YYSTATE.  Return the number of bytes copied,
   including the terminating null byte.  If YYRESULT is null, do not
   copy anything; just return the number of bytes that would be
   copied.  As a special case, return 0 if an ordinary "syntax error"
   message will do.  Return YYSIZE_MAXIMUM if overflow occurs during
   size calculation.  */
static YYSIZE_T
yysyntax_error (char *yyresult, int yystate, int yychar)
{
  int yyn = yypact[yystate];

  if (! (YYPACT_NINF < yyn && yyn <= YYLAST))
    return 0;
  else
    {
      int yytype = YYTRANSLATE (yychar);
      YYSIZE_T yysize0 = yytnamerr (0, yytname[yytype]);
      YYSIZE_T yysize = yysize0;
      YYSIZE_T yysize1;
      int yysize_overflow = 0;
      enum { YYERROR_VERBOSE_ARGS_MAXIMUM = 5 };
      char const *yyarg[YYERROR_VERBOSE_ARGS_MAXIMUM];
      int yyx;

# if 0
      /* This is so xgettext sees the translatable formats that are
	 constructed on the fly.  */
      YY_("syntax error, unexpected %s");
      YY_("syntax error, unexpected %s, expecting %s");
      YY_("syntax error, unexpected %s, expecting %s or %s");
      YY_("syntax error, unexpected %s, expecting %s or %s or %s");
      YY_("syntax error, unexpected %s, expecting %s or %s or %s or %s");
# endif
      char *yyfmt;
      char const *yyf;
      static char const yyunexpected[] = "syntax error, unexpected %s";
      static char const yyexpecting[] = ", expecting %s";
      static char const yyor[] = " or %s";
      char yyformat[sizeof yyunexpected
		    + sizeof yyexpecting - 1
		    + ((YYERROR_VERBOSE_ARGS_MAXIMUM - 2)
		       * (sizeof yyor - 1))];
      char const *yyprefix = yyexpecting;

      /* Start YYX at -YYN if negative to avoid negative indexes in
	 YYCHECK.  */
      int yyxbegin = yyn < 0 ? -yyn : 0;

      /* Stay within bounds of both yycheck and yytname.  */
      int yychecklim = YYLAST - yyn + 1;
      int yyxend = yychecklim < YYNTOKENS ? yychecklim : YYNTOKENS;
      int yycount = 1;

      yyarg[0] = yytname[yytype];
      yyfmt = yystpcpy (yyformat, yyunexpected);

      for (yyx = yyxbegin; yyx < yyxend; ++yyx)
	if (yycheck[yyx + yyn] == yyx && yyx != YYTERROR)
	  {
	    if (yycount == YYERROR_VERBOSE_ARGS_MAXIMUM)
	      {
		yycount = 1;
		yysize = yysize0;
		yyformat[sizeof yyunexpected - 1] = '\0';
		break;
	      }
	    yyarg[yycount++] = yytname[yyx];
	    yysize1 = yysize + yytnamerr (0, yytname[yyx]);
	    yysize_overflow |= (yysize1 < yysize);
	    yysize = yysize1;
	    yyfmt = yystpcpy (yyfmt, yyprefix);
	    yyprefix = yyor;
	  }

      yyf = YY_(yyformat);
      yysize1 = yysize + yystrlen (yyf);
      yysize_overflow |= (yysize1 < yysize);
      yysize = yysize1;

      if (yysize_overflow)
	return YYSIZE_MAXIMUM;

      if (yyresult)
	{
	  /* Avoid sprintf, as that infringes on the user's name space.
	     Don't have undefined behavior even if the translation
	     produced a string with the wrong number of "%s"s.  */
	  char *yyp = yyresult;
	  int yyi = 0;
	  while ((*yyp = *yyf) != '\0')
	    {
	      if (*yyp == '%' && yyf[1] == 's' && yyi < yycount)
		{
		  yyp += yytnamerr (yyp, yyarg[yyi++]);
		  yyf += 2;
		}
	      else
		{
		  yyp++;
		  yyf++;
		}
	    }
	}
      return yysize;
    }
}
#endif /* YYERROR_VERBOSE */


/*-----------------------------------------------.
| Release the memory associated to this symbol.  |
`-----------------------------------------------*/

/*ARGSUSED*/
#if (defined __STDC__ || defined __C99__FUNC__ \
     || defined __cplusplus || defined _MSC_VER)
static void
yydestruct (const char *yymsg, int yytype, YYSTYPE *yyvaluep, YYLTYPE *yylocationp)
#else
static void
yydestruct (yymsg, yytype, yyvaluep, yylocationp)
    const char *yymsg;
    int yytype;
    YYSTYPE *yyvaluep;
    YYLTYPE *yylocationp;
#endif
{
  YYUSE (yyvaluep);
  YYUSE (yylocationp);

  if (!yymsg)
    yymsg = "Deleting";
  YY_SYMBOL_PRINT (yymsg, yytype, yyvaluep, yylocationp);

  switch (yytype)
    {

      default:
	break;
    }
}

/* Prevent warnings from -Wmissing-prototypes.  */
#ifdef YYPARSE_PARAM
#if defined __STDC__ || defined __cplusplus
int yyparse (void *YYPARSE_PARAM);
#else
int yyparse ();
#endif
#else /* ! YYPARSE_PARAM */
#if defined __STDC__ || defined __cplusplus
int yyparse (void);
#else
int yyparse ();
#endif
#endif /* ! YYPARSE_PARAM */


/* The lookahead symbol.  */
int yychar;

/* The semantic value of the lookahead symbol.  */
YYSTYPE yylval;

/* Location data for the lookahead symbol.  */
YYLTYPE yylloc;

/* Number of syntax errors so far.  */
int yynerrs;



/*-------------------------.
| yyparse or yypush_parse.  |
`-------------------------*/

#ifdef YYPARSE_PARAM
#if (defined __STDC__ || defined __C99__FUNC__ \
     || defined __cplusplus || defined _MSC_VER)
int
yyparse (void *YYPARSE_PARAM)
#else
int
yyparse (YYPARSE_PARAM)
    void *YYPARSE_PARAM;
#endif
#else /* ! YYPARSE_PARAM */
#if (defined __STDC__ || defined __C99__FUNC__ \
     || defined __cplusplus || defined _MSC_VER)
int
yyparse (void)
#else
int
yyparse ()

#endif
#endif
{


    int yystate;
    /* Number of tokens to shift before error messages enabled.  */
    int yyerrstatus;

    /* The stacks and their tools:
       `yyss': related to states.
       `yyvs': related to semantic values.
       `yyls': related to locations.

       Refer to the stacks thru separate pointers, to allow yyoverflow
       to reallocate them elsewhere.  */

    /* The state stack.  */
    yytype_int16 yyssa[YYINITDEPTH];
    yytype_int16 *yyss;
    yytype_int16 *yyssp;

    /* The semantic value stack.  */
    YYSTYPE yyvsa[YYINITDEPTH];
    YYSTYPE *yyvs;
    YYSTYPE *yyvsp;

    /* The location stack.  */
    YYLTYPE yylsa[YYINITDEPTH];
    YYLTYPE *yyls;
    YYLTYPE *yylsp;

    /* The locations where the error started and ended.  */
    YYLTYPE yyerror_range[2];

    YYSIZE_T yystacksize;

  int yyn;
  int yyresult;
  /* Lookahead token as an internal (translated) token number.  */
  int yytoken;
  /* The variables used to return semantic value and location from the
     action routines.  */
  YYSTYPE yyval;
  YYLTYPE yyloc;

#if YYERROR_VERBOSE
  /* Buffer for error messages, and its allocated size.  */
  char yymsgbuf[128];
  char *yymsg = yymsgbuf;
  YYSIZE_T yymsg_alloc = sizeof yymsgbuf;
#endif

#define YYPOPSTACK(N)   (yyvsp -= (N), yyssp -= (N), yylsp -= (N))

  /* The number of symbols on the RHS of the reduced rule.
     Keep to zero when no symbol should be popped.  */
  int yylen = 0;

  yytoken = 0;
  yyss = yyssa;
  yyvs = yyvsa;
  yyls = yylsa;
  yystacksize = YYINITDEPTH;

  YYDPRINTF ((stderr, "Starting parse\n"));

  yystate = 0;
  yyerrstatus = 0;
  yynerrs = 0;
  yychar = YYEMPTY; /* Cause a token to be read.  */

  /* Initialize stack pointers.
     Waste one element of value and location stack
     so that they stay on the same level as the state stack.
     The wasted elements are never initialized.  */
  yyssp = yyss;
  yyvsp = yyvs;
  yylsp = yyls;

#if YYLTYPE_IS_TRIVIAL
  /* Initialize the default location before parsing starts.  */
  yylloc.first_line   = yylloc.last_line   = 1;
  yylloc.first_column = yylloc.last_column = 1;
#endif

  goto yysetstate;

/*------------------------------------------------------------.
| yynewstate -- Push a new state, which is found in yystate.  |
`------------------------------------------------------------*/
 yynewstate:
  /* In all cases, when you get here, the value and location stacks
     have just been pushed.  So pushing a state here evens the stacks.  */
  yyssp++;

 yysetstate:
  *yyssp = yystate;

  if (yyss + yystacksize - 1 <= yyssp)
    {
      /* Get the current used size of the three stacks, in elements.  */
      YYSIZE_T yysize = yyssp - yyss + 1;

#ifdef yyoverflow
      {
	/* Give user a chance to reallocate the stack.  Use copies of
	   these so that the &'s don't force the real ones into
	   memory.  */
	YYSTYPE *yyvs1 = yyvs;
	yytype_int16 *yyss1 = yyss;
	YYLTYPE *yyls1 = yyls;

	/* Each stack pointer address is followed by the size of the
	   data in use in that stack, in bytes.  This used to be a
	   conditional around just the two extra args, but that might
	   be undefined if yyoverflow is a macro.  */
	yyoverflow (YY_("memory exhausted"),
		    &yyss1, yysize * sizeof (*yyssp),
		    &yyvs1, yysize * sizeof (*yyvsp),
		    &yyls1, yysize * sizeof (*yylsp),
		    &yystacksize);

	yyls = yyls1;
	yyss = yyss1;
	yyvs = yyvs1;
      }
#else /* no yyoverflow */
# ifndef YYSTACK_RELOCATE
      goto yyexhaustedlab;
# else
      /* Extend the stack our own way.  */
      if (YYMAXDEPTH <= yystacksize)
	goto yyexhaustedlab;
      yystacksize *= 2;
      if (YYMAXDEPTH < yystacksize)
	yystacksize = YYMAXDEPTH;

      {
	yytype_int16 *yyss1 = yyss;
	union yyalloc *yyptr =
	  (union yyalloc *) YYSTACK_ALLOC (YYSTACK_BYTES (yystacksize));
	if (! yyptr)
	  goto yyexhaustedlab;
	YYSTACK_RELOCATE (yyss_alloc, yyss);
	YYSTACK_RELOCATE (yyvs_alloc, yyvs);
	YYSTACK_RELOCATE (yyls_alloc, yyls);
#  undef YYSTACK_RELOCATE
	if (yyss1 != yyssa)
	  YYSTACK_FREE (yyss1);
      }
# endif
#endif /* no yyoverflow */

      yyssp = yyss + yysize - 1;
      yyvsp = yyvs + yysize - 1;
      yylsp = yyls + yysize - 1;

      YYDPRINTF ((stderr, "Stack size increased to %lu\n",
		  (unsigned long int) yystacksize));

      if (yyss + yystacksize - 1 <= yyssp)
	YYABORT;
    }

  YYDPRINTF ((stderr, "Entering state %d\n", yystate));

  if (yystate == YYFINAL)
    YYACCEPT;

  goto yybackup;

/*-----------.
| yybackup.  |
`-----------*/
yybackup:

  /* Do appropriate processing given the current state.  Read a
     lookahead token if we need one and don't already have one.  */

  /* First try to decide what to do without reference to lookahead token.  */
  yyn = yypact[yystate];
  if (yyn == YYPACT_NINF)
    goto yydefault;

  /* Not known => get a lookahead token if don't already have one.  */

  /* YYCHAR is either YYEMPTY or YYEOF or a valid lookahead symbol.  */
  if (yychar == YYEMPTY)
    {
      YYDPRINTF ((stderr, "Reading a token: "));
      yychar = YYLEX;
    }

  if (yychar <= YYEOF)
    {
      yychar = yytoken = YYEOF;
      YYDPRINTF ((stderr, "Now at end of input.\n"));
    }
  else
    {
      yytoken = YYTRANSLATE (yychar);
      YY_SYMBOL_PRINT ("Next token is", yytoken, &yylval, &yylloc);
    }

  /* If the proper action on seeing token YYTOKEN is to reduce or to
     detect an error, take that action.  */
  yyn += yytoken;
  if (yyn < 0 || YYLAST < yyn || yycheck[yyn] != yytoken)
    goto yydefault;
  yyn = yytable[yyn];
  if (yyn <= 0)
    {
      if (yyn == 0 || yyn == YYTABLE_NINF)
	goto yyerrlab;
      yyn = -yyn;
      goto yyreduce;
    }

  /* Count tokens shifted since error; after three, turn off error
     status.  */
  if (yyerrstatus)
    yyerrstatus--;

  /* Shift the lookahead token.  */
  YY_SYMBOL_PRINT ("Shifting", yytoken, &yylval, &yylloc);

  /* Discard the shifted token.  */
  yychar = YYEMPTY;

  yystate = yyn;
  *++yyvsp = yylval;
  *++yylsp = yylloc;
  goto yynewstate;


/*-----------------------------------------------------------.
| yydefault -- do the default action for the current state.  |
`-----------------------------------------------------------*/
yydefault:
  yyn = yydefact[yystate];
  if (yyn == 0)
    goto yyerrlab;
  goto yyreduce;


/*-----------------------------.
| yyreduce -- Do a reduction.  |
`-----------------------------*/
yyreduce:
  /* yyn is the number of a rule to reduce with.  */
  yylen = yyr2[yyn];

  /* If YYLEN is nonzero, implement the default value of the action:
     `$$ = $1'.

     Otherwise, the following line sets YYVAL to garbage.
     This behavior is undocumented and Bison
     users should not rely upon it.  Assigning to YYVAL
     unconditionally makes the parser a bit smaller, and it avoids a
     GCC warning that YYVAL may be used uninitialized.  */
  yyval = yyvsp[1-yylen];

  /* Default location.  */
  YYLLOC_DEFAULT (yyloc, (yylsp - yylen), yylen);
  YY_REDUCE_PRINT (yyn);
  switch (yyn)
    {
        case 2:

/* Line 1455 of yacc.c  */
#line 263 "tell_yacc.yy"
    {}
    break;

  case 3:

/* Line 1455 of yacc.c  */
#line 264 "tell_yacc.yy"
    {}
    break;

  case 4:

/* Line 1455 of yacc.c  */
#line 268 "tell_yacc.yy"
    {
      if (!yynerrs)  CMDBlock->execute();
      else 
      {
         CMDBlock = CMDBlock->cleaner();
         parsercmd::EOfile();
      }
   }
    break;

  case 5:

/* Line 1455 of yacc.c  */
#line 276 "tell_yacc.yy"
    {}
    break;

  case 6:

/* Line 1455 of yacc.c  */
#line 277 "tell_yacc.yy"
    {
      delete((yyvsp[(1) - (2)].pfdeclaration)); cfd = NULL;
   }
    break;

  case 7:

/* Line 1455 of yacc.c  */
#line 280 "tell_yacc.yy"
    {
      tellerror("Unexpected symbol", (yylsp[(1) - (1)]));
      parsercmd::EOfile();
   }
    break;

  case 8:

/* Line 1455 of yacc.c  */
#line 284 "tell_yacc.yy"
    {
      CMDBlock = CMDBlock->cleaner();
      parsercmd::EOfile();
      /*yynerrs = 0;*/
   }
    break;

  case 9:

/* Line 1455 of yacc.c  */
#line 292 "tell_yacc.yy"
    {
      cfd = DEBUG_NEW parsercmd::FuncDeclaration((yyvsp[(2) - (3)].parsestr), (yyvsp[(1) - (3)].pttname)) ;
   }
    break;

  case 10:

/* Line 1455 of yacc.c  */
#line 295 "tell_yacc.yy"
    {
      CMDBlock->addUSERFUNCDECL(cfd,(yyloc));
      (yyval.pfdeclaration) = cfd;
      delete [] (yyvsp[(2) - (6)].parsestr);
   }
    break;

  case 11:

/* Line 1455 of yacc.c  */
#line 303 "tell_yacc.yy"
    {
      CMDBlock->addUSERFUNC((yyvsp[(1) - (2)].pfdeclaration), (yyvsp[(2) - (2)].pfblock), (yyloc));
      // addUSERFUNC will take care about cleaning the funcdeclaration ($1) and funcblock ($2) 
      cfd = NULL;
   }
    break;

  case 12:

/* Line 1455 of yacc.c  */
#line 311 "tell_yacc.yy"
    {
         CMDBlock = DEBUG_NEW parsercmd::cmdFUNC(cfd->argListCopy(),cfd->type(),false);
         CMDBlock->pushblk();
      }
    break;

  case 13:

/* Line 1455 of yacc.c  */
#line 315 "tell_yacc.yy"
    {
         (yyval.pfblock) = static_cast<parsercmd::cmdFUNC*>(CMDBlock);
         CMDBlock = CMDBlock->popblk();
      }
    break;

  case 14:

/* Line 1455 of yacc.c  */
#line 322 "tell_yacc.yy"
    {
      if (!cfd) tellerror("return statement outside function body", (yylsp[(1) - (1)]));
      else {
         parsercmd::cmdRETURN* rcmd = DEBUG_NEW parsercmd::cmdRETURN(cfd->type());
         if (rcmd->checkRetype(NULL)) CMDBlock->pushcmd(rcmd);
         else {
            tellerror("return value expected", (yylsp[(1) - (1)]));
            delete rcmd;
         }
      }
      cfd->incReturns();
   }
    break;

  case 15:

/* Line 1455 of yacc.c  */
#line 334 "tell_yacc.yy"
    {
      if (!cfd) tellerror("return statement outside function body", (yylsp[(1) - (2)]));
      else {
         parsercmd::cmdRETURN* rcmd = DEBUG_NEW parsercmd::cmdRETURN(cfd->type());
         if (rcmd->checkRetype((yyvsp[(2) - (2)].parguments))) CMDBlock->pushcmd(rcmd);
         else {
            tellerror("return type different from function type", (yylsp[(2) - (2)]));
            delete rcmd;
         }
         delete (yyvsp[(2) - (2)].parguments);
      }
      cfd->incReturns();
   }
    break;

  case 16:

/* Line 1455 of yacc.c  */
#line 350 "tell_yacc.yy"
    {
         CMDBlock = DEBUG_NEW parsercmd::cmdBLOCK();
         CMDBlock->pushblk();
     }
    break;

  case 17:

/* Line 1455 of yacc.c  */
#line 354 "tell_yacc.yy"
    {
         parsercmd::cmdBLOCK* if_block = CMDBlock;
         CMDBlock = CMDBlock->popblk();
         if (telldata::tn_bool != (yyvsp[(3) - (6)].pttname)) {
            tellerror("bool type expected",(yylsp[(3) - (6)]));
            delete if_block;
            (yyval.pblock) = NULL;
         }
         else {
            (yyval.pblock) = if_block;
         }
      }
    break;

  case 18:

/* Line 1455 of yacc.c  */
#line 369 "tell_yacc.yy"
    {
        if (NULL != (yyvsp[(1) - (1)].pblock))
           CMDBlock->pushcmd(DEBUG_NEW parsercmd::cmdIFELSE((yyvsp[(1) - (1)].pblock), NULL));
   }
    break;

  case 19:

/* Line 1455 of yacc.c  */
#line 373 "tell_yacc.yy"
    {
         CMDBlock = DEBUG_NEW parsercmd::cmdBLOCK();
         CMDBlock->pushblk();
   }
    break;

  case 20:

/* Line 1455 of yacc.c  */
#line 377 "tell_yacc.yy"
    {
         parsercmd::cmdBLOCK* else_block = CMDBlock;
         CMDBlock = CMDBlock->popblk();
         if (NULL != (yyvsp[(1) - (4)].pblock))
            CMDBlock->pushcmd(DEBUG_NEW parsercmd::cmdIFELSE((yyvsp[(1) - (4)].pblock),else_block));
      }
    break;

  case 21:

/* Line 1455 of yacc.c  */
#line 386 "tell_yacc.yy"
    {
         CMDBlock = DEBUG_NEW parsercmd::cmdBLOCK();
         CMDBlock->pushblk();
      }
    break;

  case 22:

/* Line 1455 of yacc.c  */
#line 390 "tell_yacc.yy"
    {
         if (telldata::tn_bool != (yyvsp[(4) - (5)].pttname)) tellerror("bool type expected", (yylsp[(4) - (5)]));
         CMDBlock = DEBUG_NEW parsercmd::cmdBLOCK();
         CMDBlock->pushblk();
      }
    break;

  case 23:

/* Line 1455 of yacc.c  */
#line 395 "tell_yacc.yy"
    {
         parsercmd::cmdBLOCK* body_block = CMDBlock;
         CMDBlock = CMDBlock->popblk();
         parsercmd::cmdBLOCK* cond_block = CMDBlock;
         CMDBlock = CMDBlock->popblk();
         CMDBlock->pushcmd(DEBUG_NEW parsercmd::cmdWHILE(cond_block,body_block));
      }
    break;

  case 24:

/* Line 1455 of yacc.c  */
#line 405 "tell_yacc.yy"
    {
         if       (!((yyvsp[(1) - (1)].pttname) & telldata::tn_listmask)) {
            tellerror("list expected",(yylsp[(1) - (1)]));
            (yyval.pttname) = telldata::tn_NULL;
         }
         else
            (yyval.pttname) = (yyvsp[(1) - (1)].pttname);
      }
    break;

  case 25:

/* Line 1455 of yacc.c  */
#line 416 "tell_yacc.yy"
    {
         CMDBlock = DEBUG_NEW parsercmd::cmdBLOCK();
         CMDBlock->pushblk();
      }
    break;

  case 26:

/* Line 1455 of yacc.c  */
#line 420 "tell_yacc.yy"
    {
         if  (((yyvsp[(4) - (7)].pttname) | telldata::tn_listmask) != (yyvsp[(6) - (7)].pttname))
            tellerror("unappropriate variable type",(yylsp[(4) - (7)]));
         foreach_command = DEBUG_NEW parsercmd::cmdFOREACH(tell_lvalue,tellvar);
         CMDBlock = DEBUG_NEW parsercmd::cmdBLOCK();
         CMDBlock->pushblk();
      }
    break;

  case 27:

/* Line 1455 of yacc.c  */
#line 427 "tell_yacc.yy"
    {
         parsercmd::cmdBLOCK* body_block = CMDBlock;
         CMDBlock = CMDBlock->popblk();
         parsercmd::cmdBLOCK* header_block = CMDBlock;
         CMDBlock = CMDBlock->popblk();         
         foreach_command->addBlocks(header_block, body_block);
         CMDBlock->pushcmd(foreach_command);
      }
    break;

  case 28:

/* Line 1455 of yacc.c  */
#line 438 "tell_yacc.yy"
    {
         CMDBlock = DEBUG_NEW parsercmd::cmdBLOCK();
         CMDBlock->pushblk();
      }
    break;

  case 29:

/* Line 1455 of yacc.c  */
#line 442 "tell_yacc.yy"
    {
         CMDBlock = DEBUG_NEW parsercmd::cmdBLOCK();
         CMDBlock->pushblk();
      }
    break;

  case 30:

/* Line 1455 of yacc.c  */
#line 446 "tell_yacc.yy"
    {
         parsercmd::cmdBLOCK* cond_block = CMDBlock;
         CMDBlock = CMDBlock->popblk();
         parsercmd::cmdBLOCK* body_block = CMDBlock;
         CMDBlock = CMDBlock->popblk();
         if (telldata::tn_bool != (yyvsp[(7) - (8)].pttname)) {
            tellerror("bool type expected", (yylsp[(7) - (8)]));
            delete cond_block;
         }
         else CMDBlock->pushcmd(DEBUG_NEW parsercmd::cmdREPEAT(cond_block,body_block));
   }
    break;

  case 31:

/* Line 1455 of yacc.c  */
#line 460 "tell_yacc.yy"
    { }
    break;

  case 32:

/* Line 1455 of yacc.c  */
#line 461 "tell_yacc.yy"
    { }
    break;

  case 33:

/* Line 1455 of yacc.c  */
#line 462 "tell_yacc.yy"
    { }
    break;

  case 34:

/* Line 1455 of yacc.c  */
#line 466 "tell_yacc.yy"
    { }
    break;

  case 35:

/* Line 1455 of yacc.c  */
#line 467 "tell_yacc.yy"
    { }
    break;

  case 36:

/* Line 1455 of yacc.c  */
#line 471 "tell_yacc.yy"
    { }
    break;

  case 37:

/* Line 1455 of yacc.c  */
#line 472 "tell_yacc.yy"
    { }
    break;

  case 38:

/* Line 1455 of yacc.c  */
#line 473 "tell_yacc.yy"
    {CMDBlock->pushcmd(DEBUG_NEW parsercmd::cmdSTACKRST());}
    break;

  case 39:

/* Line 1455 of yacc.c  */
#line 474 "tell_yacc.yy"
    {CMDBlock->pushcmd(DEBUG_NEW parsercmd::cmdSTACKRST());}
    break;

  case 40:

/* Line 1455 of yacc.c  */
#line 475 "tell_yacc.yy"
    {CMDBlock->pushcmd(DEBUG_NEW parsercmd::cmdSTACKRST());}
    break;

  case 41:

/* Line 1455 of yacc.c  */
#line 476 "tell_yacc.yy"
    {CMDBlock->pushcmd(DEBUG_NEW parsercmd::cmdSTACKRST());}
    break;

  case 42:

/* Line 1455 of yacc.c  */
#line 477 "tell_yacc.yy"
    {CMDBlock->pushcmd(DEBUG_NEW parsercmd::cmdSTACKRST());}
    break;

  case 43:

/* Line 1455 of yacc.c  */
#line 478 "tell_yacc.yy"
    {/*keep the return value in the stack*/}
    break;

  case 44:

/* Line 1455 of yacc.c  */
#line 479 "tell_yacc.yy"
    {CMDBlock->pushcmd(DEBUG_NEW parsercmd::cmdSTACKRST());}
    break;

  case 45:

/* Line 1455 of yacc.c  */
#line 480 "tell_yacc.yy"
    {CMDBlock->pushcmd(DEBUG_NEW parsercmd::cmdSTACKRST());}
    break;

  case 46:

/* Line 1455 of yacc.c  */
#line 481 "tell_yacc.yy"
    {CMDBlock->pushcmd(DEBUG_NEW parsercmd::cmdSTACKRST());}
    break;

  case 47:

/* Line 1455 of yacc.c  */
#line 482 "tell_yacc.yy"
    { }
    break;

  case 48:

/* Line 1455 of yacc.c  */
#line 486 "tell_yacc.yy"
    {
        argmap = DEBUG_NEW telldata::argumentQ;
        argmapstack.push(argmap);
   }
    break;

  case 49:

/* Line 1455 of yacc.c  */
#line 490 "tell_yacc.yy"
    {
      parsercmd::cmdSTDFUNC *fc = CMDBlock->getFuncBody((yyvsp[(1) - (5)].parsestr),(yyvsp[(4) - (5)].plarguments));
      if (fc) {
         CMDBlock->pushcmd(DEBUG_NEW parsercmd::cmdFUNCCALL(fc,(yyvsp[(1) - (5)].parsestr)));
         (yyval.pttname) = fc->gettype();
      }
      else {
         tellerror("unknown function name or wrong parameter list",(yylsp[(1) - (5)]));
         (yyval.pttname) = telldata::tn_NULL;
      }
      telldata::argQClear(argmap);
      argmapstack.pop();
      delete argmap;
      if (argmapstack.size() > 0) argmap = argmapstack.top();
      else argmap = NULL;
      delete [] (yyvsp[(1) - (5)].parsestr);
   }
    break;

  case 50:

/* Line 1455 of yacc.c  */
#line 510 "tell_yacc.yy"
    {
      /*because of the (possible) structure that has an unknown yet tn_usertypes type,
      here we are doing the type checking, using the type of the lvalue*/
      (yyval.pttname) = parsercmd::Assign(tell_lvalue, lindexed, (yyvsp[(3) - (3)].parguments), (yylsp[(2) - (3)]));
      delete (yyvsp[(3) - (3)].parguments);
   }
    break;

  case 51:

/* Line 1455 of yacc.c  */
#line 516 "tell_yacc.yy"
    {
      (yyval.pttname) = parsercmd::Uninsert(tell_lvalue, (yyvsp[(3) - (3)].parguments), listadd_command, (yylsp[(2) - (3)]));
      delete (yyvsp[(3) - (3)].parguments);
   }
    break;

  case 52:

/* Line 1455 of yacc.c  */
#line 523 "tell_yacc.yy"
    {(yyval.plarguments) = NULL;}
    break;

  case 53:

/* Line 1455 of yacc.c  */
#line 524 "tell_yacc.yy"
    {(yyval.plarguments) = (yyvsp[(1) - (1)].plarguments);}
    break;

  case 54:

/* Line 1455 of yacc.c  */
#line 528 "tell_yacc.yy"
    {(yyval.parguments) = DEBUG_NEW telldata::argumentID((yyvsp[(1) - (1)].pttname));}
    break;

  case 55:

/* Line 1455 of yacc.c  */
#line 529 "tell_yacc.yy"
    {(yyval.parguments) = DEBUG_NEW telldata::argumentID((yyvsp[(1) - (1)].pttname));}
    break;

  case 56:

/* Line 1455 of yacc.c  */
#line 530 "tell_yacc.yy"
    {(yyval.parguments) = (yyvsp[(1) - (1)].parguments);}
    break;

  case 57:

/* Line 1455 of yacc.c  */
#line 534 "tell_yacc.yy"
    {argmap->push_back((yyvsp[(1) - (1)].parguments)); (yyval.plarguments) = argmap;}
    break;

  case 58:

/* Line 1455 of yacc.c  */
#line 535 "tell_yacc.yy"
    {argmap->push_back((yyvsp[(3) - (3)].parguments)); (yyval.plarguments) = argmap;}
    break;

  case 59:

/* Line 1455 of yacc.c  */
#line 539 "tell_yacc.yy"
    {}
    break;

  case 60:

/* Line 1455 of yacc.c  */
#line 540 "tell_yacc.yy"
    {}
    break;

  case 61:

/* Line 1455 of yacc.c  */
#line 544 "tell_yacc.yy"
    {}
    break;

  case 62:

/* Line 1455 of yacc.c  */
#line 545 "tell_yacc.yy"
    {}
    break;

  case 63:

/* Line 1455 of yacc.c  */
#line 549 "tell_yacc.yy"
    {
      tellvar = CMDBlock->newTellvar((yyvsp[(1) - (2)].pttname), (yylsp[(1) - (2)]));
      cfd->pushArg(DEBUG_NEW parsercmd::argumentTYPE((yyvsp[(2) - (2)].parsestr),tellvar));
      delete [] (yyvsp[(2) - (2)].parsestr);
   }
    break;

  case 64:

/* Line 1455 of yacc.c  */
#line 557 "tell_yacc.yy"
    {(yyval.pttname) = (yyvsp[(1) - (1)].pttname);tell_lvalue = tellvar; lindexed = indexed;}
    break;

  case 65:

/* Line 1455 of yacc.c  */
#line 558 "tell_yacc.yy"
    {(yyval.pttname) = (yyvsp[(1) - (1)].pttname);tell_lvalue = tellvar; lindexed = indexed;}
    break;

  case 66:

/* Line 1455 of yacc.c  */
#line 562 "tell_yacc.yy"
    {
      tellvar = CMDBlock->getID((yyvsp[(1) - (1)].parsestr));
      if (tellvar) (yyval.pttname) = tellvar->get_type();
      else
      {
         tellerror("variable not defined in this scope", (yylsp[(1) - (1)]));
         (yyval.pttname) = telldata::tn_NULL;
      }
      delete [] (yyvsp[(1) - (1)].parsestr);
      indexed = false;
   }
    break;

  case 67:

/* Line 1455 of yacc.c  */
#line 573 "tell_yacc.yy"
    {(yyval.pttname) = (yyvsp[(1) - (1)].pttname); indexed = false;}
    break;

  case 68:

/* Line 1455 of yacc.c  */
#line 574 "tell_yacc.yy"
    {(yyval.pttname) = (yyvsp[(1) - (1)].pttname); indexed = true;}
    break;

  case 69:

/* Line 1455 of yacc.c  */
#line 578 "tell_yacc.yy"
    {
      telldata::tell_var* v = CMDBlock->getID((yyvsp[(2) - (2)].parsestr), true);
      if (!v) {/* if this variableID doesn't exist already in the local scope*/
         /* add it to the local variable map */
         tellvar = CMDBlock->newTellvar((yyvsp[(1) - (2)].pttname), (yylsp[(1) - (2)]));
         CMDBlock->addID((yyvsp[(2) - (2)].parsestr),tellvar); 
      }
      else
         tellerror("variable already defined in this scope", (yylsp[(2) - (2)]));
      (yyval.pttname) = (yyvsp[(1) - (2)].pttname); delete [] (yyvsp[(2) - (2)].parsestr);indexed = false;
   }
    break;

  case 70:

/* Line 1455 of yacc.c  */
#line 589 "tell_yacc.yy"
    {
      telldata::tell_var* v = CMDBlock->getID((yyvsp[(3) - (3)].parsestr), true);
      if (!v) {/* if this variableID doesn't exist already in the local scope*/
         /* add it to the local variable map */
         tellvar = CMDBlock->newTellvar((yyvsp[(2) - (3)].pttname), (yylsp[(2) - (3)]));
         CMDBlock->addconstID((yyvsp[(3) - (3)].parsestr),tellvar,false);
      }
      else
         tellerror("variable already defined in this scope", (yylsp[(2) - (3)]));
      (yyval.pttname) = (yyvsp[(2) - (3)].pttname); delete [] (yyvsp[(3) - (3)].parsestr);indexed = false;
   }
    break;

  case 71:

/* Line 1455 of yacc.c  */
#line 600 "tell_yacc.yy"
    {
      telldata::tell_var* v = CMDBlock->getID((yyvsp[(3) - (3)].parsestr), true);
      if (!v) {/* if this variableID doesn't exist already in the local scope*/
         /* add it to the local variable map */
         tellvar = CMDBlock->newTellvar((yyvsp[(1) - (3)].pttname), (yylsp[(1) - (3)]));
         CMDBlock->addID((yyvsp[(3) - (3)].parsestr),tellvar);
      }
      else tellerror("variable already defined in this scope", (yylsp[(3) - (3)]));
      (yyval.pttname) = (yyvsp[(1) - (3)].pttname); delete [] (yyvsp[(3) - (3)].parsestr);indexed = false;
   }
    break;

  case 72:

/* Line 1455 of yacc.c  */
#line 613 "tell_yacc.yy"
    {
      const telldata::tell_type* ftype =
            CMDBlock->getTypeByID((yyvsp[(1) - (2)].pttname) & ~telldata::tn_listmask);
      if (!tellstruct->addfield((yyvsp[(2) - (2)].parsestr), (yyvsp[(1) - (2)].pttname), ftype)) {
         tellerror("field with this name already defined in this strucutre", (yylsp[(2) - (2)]));
         (yyval.ptypedef) = false; // indicates that definition fails
      }
      else (yyval.ptypedef) = true;
      delete [] (yyvsp[(2) - (2)].parsestr);
   }
    break;

  case 73:

/* Line 1455 of yacc.c  */
#line 626 "tell_yacc.yy"
    {(yyval.pttname) = (yyvsp[(1) - (1)].pttname);}
    break;

  case 74:

/* Line 1455 of yacc.c  */
#line 627 "tell_yacc.yy"
    {(yyval.pttname) = (yyvsp[(1) - (2)].pttname) | telldata::tn_listmask;}
    break;

  case 75:

/* Line 1455 of yacc.c  */
#line 632 "tell_yacc.yy"
    {(yyval.pttname) = telldata::tn_void;}
    break;

  case 76:

/* Line 1455 of yacc.c  */
#line 633 "tell_yacc.yy"
    {(yyval.pttname) = telldata::tn_real;}
    break;

  case 77:

/* Line 1455 of yacc.c  */
#line 634 "tell_yacc.yy"
    {(yyval.pttname) = telldata::tn_int;}
    break;

  case 78:

/* Line 1455 of yacc.c  */
#line 635 "tell_yacc.yy"
    {(yyval.pttname) = telldata::tn_bool;}
    break;

  case 79:

/* Line 1455 of yacc.c  */
#line 636 "tell_yacc.yy"
    {(yyval.pttname) = telldata::tn_string;}
    break;

  case 80:

/* Line 1455 of yacc.c  */
#line 637 "tell_yacc.yy"
    {(yyval.pttname) = telldata::tn_layout;}
    break;

  case 81:

/* Line 1455 of yacc.c  */
#line 638 "tell_yacc.yy"
    {
        const telldata::tell_type* ttype = CMDBlock->getTypeByName((yyvsp[(1) - (1)].parsestr));
        if (NULL == ttype)  {
           tellerror("Bad type specifier", (yylsp[(1) - (1)]));
           (yyval.pttname) = telldata::tn_NULL;
           delete [] (yyvsp[(1) - (1)].parsestr);
           cleanonabort();
           YYABORT;
        }
        else (yyval.pttname) = ttype->ID();
        delete [] (yyvsp[(1) - (1)].parsestr);
      }
    break;

  case 82:

/* Line 1455 of yacc.c  */
#line 653 "tell_yacc.yy"
    {
        tellstruct = CMDBlock->requesttypeID((yyvsp[(2) - (2)].parsestr));
        if (NULL == tellstruct) {
           tellerror("type with this name already defined", (yylsp[(1) - (2)]));
           delete [] (yyvsp[(2) - (2)].parsestr);
           cleanonabort();
           YYABORT;
        }
     }
    break;

  case 83:

/* Line 1455 of yacc.c  */
#line 662 "tell_yacc.yy"
    {
        if ((yyvsp[(5) - (6)].ptypedef)) CMDBlock->addlocaltype((yyvsp[(2) - (6)].parsestr),tellstruct);
        else delete tellstruct;
        tellstruct = NULL;
        delete [] (yyvsp[(2) - (6)].parsestr);
     }
    break;

  case 84:

/* Line 1455 of yacc.c  */
#line 671 "tell_yacc.yy"
    { (yyval.ptypedef) = (yyvsp[(1) - (1)].ptypedef);      }
    break;

  case 85:

/* Line 1455 of yacc.c  */
#line 672 "tell_yacc.yy"
    { (yyval.ptypedef) = (yyvsp[(1) - (3)].ptypedef) && (yyvsp[(3) - (3)].ptypedef);}
    break;

  case 86:

/* Line 1455 of yacc.c  */
#line 676 "tell_yacc.yy"
    {
      if (NULL == tellvar)
      {
         tellerror("Unexisting variable", (yylsp[(1) - (2)]));
         cleanonabort();
         YYABORT;
      }
      else if (indexed)
      {
         tellerror("Can't dereference a field of a listed structures(Bug #14112). Please use intermediate variables.", (yylsp[(1) - (2)]));
         (yyval.pttname) = telldata::tn_NULL;
      }
      else
      {
         tellvar = tellvar->field_var((yyvsp[(2) - (2)].parsestr));
         if (tellvar) (yyval.pttname) = tellvar->get_type();
         else
         {
            tellerror("Bad field identifier", (yylsp[(2) - (2)]));
            (yyval.pttname) = telldata::tn_NULL;
         }
      }
      delete [] (yyvsp[(2) - (2)].parsestr);
   }
    break;

  case 87:

/* Line 1455 of yacc.c  */
#line 703 "tell_yacc.yy"
    {
      if (parsercmd::ListIndexCheck((yyvsp[(1) - (4)].pttname), (yylsp[(1) - (4)]), (yyvsp[(3) - (4)].pttname), (yylsp[(3) - (4)])))
      {
         (yyval.pttname) = ((yyvsp[(1) - (4)].pttname) & (~telldata::tn_listmask));
      }
      else {
         (yyval.pttname) = telldata::tn_NULL;
      }
    }
    break;

  case 88:

/* Line 1455 of yacc.c  */
#line 715 "tell_yacc.yy"
    {
      if (parsercmd::ListIndexCheck((yyvsp[(1) - (5)].pttname), (yylsp[(1) - (5)]), (yyvsp[(4) - (5)].pttname), (yylsp[(4) - (5)])))
      {
         listadd_command = DEBUG_NEW parsercmd::cmdLISTADD(tellvar,true, true);
         (yyval.pttname) = (yyvsp[(1) - (5)].pttname); tell_lvalue = tellvar; lindexed = true;
      }
      else {
         (yyval.pttname) = telldata::tn_NULL; listadd_command = NULL;
      }
    }
    break;

  case 89:

/* Line 1455 of yacc.c  */
#line 725 "tell_yacc.yy"
    {
      if ((yyvsp[(1) - (4)].pttname) & telldata::tn_listmask) {
         listadd_command = DEBUG_NEW parsercmd::cmdLISTADD(tellvar,true, false);
         (yyval.pttname) = (yyvsp[(1) - (4)].pttname); tell_lvalue = tellvar; lindexed = true;
      }
      else {
         tellerror("list expected",(yylsp[(1) - (4)]));
         (yyval.pttname) = telldata::tn_NULL; listadd_command = NULL;
      }
    }
    break;

  case 90:

/* Line 1455 of yacc.c  */
#line 735 "tell_yacc.yy"
    {
      if (parsercmd::ListIndexCheck((yyvsp[(1) - (5)].pttname), (yylsp[(1) - (5)]), (yyvsp[(3) - (5)].pttname), (yylsp[(3) - (5)])))
      {
         listadd_command = DEBUG_NEW parsercmd::cmdLISTADD(tellvar,false, true);
         (yyval.pttname) = (yyvsp[(1) - (5)].pttname); tell_lvalue = tellvar; lindexed = true;
      }
      else {
         (yyval.pttname) = telldata::tn_NULL; listadd_command = NULL;
      }
    }
    break;

  case 91:

/* Line 1455 of yacc.c  */
#line 745 "tell_yacc.yy"
    {
      if ((yyvsp[(1) - (4)].pttname) & telldata::tn_listmask) {
         listadd_command = DEBUG_NEW parsercmd::cmdLISTADD(tellvar,false, false);
         (yyval.pttname) = (yyvsp[(1) - (4)].pttname); tell_lvalue = tellvar; lindexed = true;
      }
      else {
         tellerror("list expected",(yylsp[(1) - (4)]));
         (yyval.pttname) = telldata::tn_NULL; listadd_command = NULL;
      }
    }
    break;

  case 92:

/* Line 1455 of yacc.c  */
#line 758 "tell_yacc.yy"
    {
      if (parsercmd::ListIndexCheck((yyvsp[(1) - (5)].pttname), (yylsp[(1) - (5)]), (yyvsp[(4) - (5)].pttname), (yylsp[(4) - (5)])))
         CMDBlock->pushcmd(DEBUG_NEW parsercmd::cmdLISTSUB(tellvar,true, true));
      (yyval.pttname) = ((yyvsp[(1) - (5)].pttname) & (~telldata::tn_listmask));
    }
    break;

  case 93:

/* Line 1455 of yacc.c  */
#line 763 "tell_yacc.yy"
    {
      if ((yyvsp[(1) - (4)].pttname) & telldata::tn_listmask)
         CMDBlock->pushcmd(DEBUG_NEW parsercmd::cmdLISTSUB(tellvar,true, false));
      else
         tellerror("list expected",(yylsp[(1) - (4)]));
      (yyval.pttname) = ((yyvsp[(1) - (4)].pttname) & (~telldata::tn_listmask));
    }
    break;

  case 94:

/* Line 1455 of yacc.c  */
#line 770 "tell_yacc.yy"
    {
      if (parsercmd::ListIndexCheck((yyvsp[(1) - (5)].pttname), (yylsp[(1) - (5)]), (yyvsp[(3) - (5)].pttname), (yylsp[(3) - (5)])))
         CMDBlock->pushcmd(DEBUG_NEW parsercmd::cmdLISTSUB(tellvar,false, true));
      (yyval.pttname) = ((yyvsp[(1) - (5)].pttname) & (~telldata::tn_listmask));
    }
    break;

  case 95:

/* Line 1455 of yacc.c  */
#line 775 "tell_yacc.yy"
    {
      if ((yyvsp[(1) - (4)].pttname) & telldata::tn_listmask)
         CMDBlock->pushcmd(DEBUG_NEW parsercmd::cmdLISTSUB(tellvar,false, false));
      else
         tellerror("list expected",(yylsp[(1) - (4)]));
      (yyval.pttname) = ((yyvsp[(1) - (4)].pttname) & (~telldata::tn_listmask));
    }
    break;

  case 96:

/* Line 1455 of yacc.c  */
#line 785 "tell_yacc.yy"
    {
      if (parsercmd::ListSliceCheck((yyvsp[(1) - (6)].pttname), (yylsp[(1) - (6)]), (yyvsp[(5) - (6)].pttname), (yylsp[(5) - (6)]), (yyvsp[(3) - (6)].pttname), (yylsp[(3) - (6)])))
      {
         CMDBlock->pushcmd(DEBUG_NEW parsercmd::cmdLISTSLICE(tellvar, true, true));
         (yyval.pttname) = (yyvsp[(1) - (6)].pttname);
      }
      else
         (yyval.pttname) = telldata::tn_NULL;
    }
    break;

  case 97:

/* Line 1455 of yacc.c  */
#line 794 "tell_yacc.yy"
    {
      if (parsercmd::ListSliceCheck((yyvsp[(1) - (5)].pttname), (yylsp[(1) - (5)]), (yyvsp[(3) - (5)].pttname), (yylsp[(3) - (5)])))
      {
         CMDBlock->pushcmd(DEBUG_NEW parsercmd::cmdLISTSLICE(tellvar, false, false));
         (yyval.pttname) = (yyvsp[(1) - (5)].pttname);
      }
      else
         (yyval.pttname) = telldata::tn_NULL;
    }
    break;

  case 98:

/* Line 1455 of yacc.c  */
#line 803 "tell_yacc.yy"
    {
      if (parsercmd::ListSliceCheck((yyvsp[(1) - (6)].pttname), (yylsp[(1) - (6)]), (yyvsp[(3) - (6)].pttname), (yylsp[(3) - (6)]), (yyvsp[(5) - (6)].pttname), (yylsp[(5) - (6)])))
      {
         CMDBlock->pushcmd(DEBUG_NEW parsercmd::cmdLISTSLICE(tellvar, false, true));
         (yyval.pttname) = (yyvsp[(1) - (6)].pttname);
      }
      else
         (yyval.pttname) = telldata::tn_NULL;
    }
    break;

  case 99:

/* Line 1455 of yacc.c  */
#line 812 "tell_yacc.yy"
    {
      if (parsercmd::ListSliceCheck((yyvsp[(1) - (5)].pttname), (yylsp[(1) - (5)]), (yyvsp[(4) - (5)].pttname), (yylsp[(4) - (5)])))
      {
         CMDBlock->pushcmd(DEBUG_NEW parsercmd::cmdLISTSLICE(tellvar, true, false));
         (yyval.pttname) = (yyvsp[(1) - (5)].pttname);
      }
      else
         (yyval.pttname) = telldata::tn_NULL;
    }
    break;

  case 100:

/* Line 1455 of yacc.c  */
#line 824 "tell_yacc.yy"
    {
        argmap = DEBUG_NEW telldata::argumentQ;
        argmapstack.push(argmap);
   }
    break;

  case 101:

/* Line 1455 of yacc.c  */
#line 828 "tell_yacc.yy"
    {
        /*Important note!. Here we will get a list of components that could be
          a tell list or some kind of tell struct or even tell list of tell struct.
          There is no way at this moment to determine the type of the input structure
          for (seems) obvious reasons. So - the type check and the eventual pushcmd
          are postponed untill we get the recepient - i.e. the lvalue or the
          function call. $$ is assigned to argumentID, that caries the whole argument
          queue listed in structure*/
        parsercmd::cmdSTRUCT* struct_command = DEBUG_NEW parsercmd::cmdSTRUCT();
        CMDBlock->pushcmd(struct_command);
        (yyval.parguments) = DEBUG_NEW telldata::argumentID(argmap, struct_command);
        //argQClear(argmap);
        argmapstack.pop();
        delete argmap;
        if (argmapstack.size() > 0) argmap = argmapstack.top();
        else argmap = NULL;
   }
    break;

  case 102:

/* Line 1455 of yacc.c  */
#line 848 "tell_yacc.yy"
    {
      telldata::argumentID* op2 = (yyvsp[(2) - (2)].parguments);
      // the structure is without a type at this moment, so here we do the type checking
      if (parsercmd::StructTypeCheck((yyvsp[(1) - (2)].pttname), op2, (yylsp[(2) - (2)]))) {
         tellvar = CMDBlock->newTellvar((yyvsp[(1) - (2)].pttname), (yylsp[(1) - (2)]));
         parsercmd::Assign(tellvar, false, (yyvsp[(2) - (2)].parguments), (yylsp[(2) - (2)]));
         delete (yyvsp[(2) - (2)].parguments);
         (yyval.pttname) = (yyvsp[(1) - (2)].pttname);
      }
      else {
         tellerror("Type mismatch", (yylsp[(2) - (2)]));
         (yyval.pttname) = telldata::tn_NULL;
         delete (yyvsp[(2) - (2)].parguments);
         cleanonabort();
         YYABORT;
      }
   }
    break;

  case 103:

/* Line 1455 of yacc.c  */
#line 870 "tell_yacc.yy"
    {(yyval.pttname) = (yyvsp[(1) - (1)].pttname);}
    break;

  case 104:

/* Line 1455 of yacc.c  */
#line 871 "tell_yacc.yy"
    {(yyval.pttname) = parsercmd::BoolEx((yyvsp[(1) - (3)].pttname),(yyvsp[(3) - (3)].pttname),"||",(yylsp[(1) - (3)]),(yylsp[(2) - (3)]));}
    break;

  case 105:

/* Line 1455 of yacc.c  */
#line 872 "tell_yacc.yy"
    {(yyval.pttname) = parsercmd::BoolEx((yyvsp[(1) - (3)].pttname),(yyvsp[(3) - (3)].pttname),"|",(yylsp[(1) - (3)]),(yylsp[(2) - (3)]));}
    break;

  case 106:

/* Line 1455 of yacc.c  */
#line 876 "tell_yacc.yy"
    {(yyval.pttname) = (yyvsp[(1) - (1)].pttname);}
    break;

  case 107:

/* Line 1455 of yacc.c  */
#line 877 "tell_yacc.yy"
    {(yyval.pttname) = parsercmd::BoolEx((yyvsp[(1) - (3)].pttname),(yyvsp[(3) - (3)].pttname),"&&",(yylsp[(1) - (3)]),(yylsp[(2) - (3)]));}
    break;

  case 108:

/* Line 1455 of yacc.c  */
#line 878 "tell_yacc.yy"
    {(yyval.pttname) = parsercmd::BoolEx((yyvsp[(1) - (3)].pttname),(yyvsp[(3) - (3)].pttname), "&",(yylsp[(1) - (3)]),(yylsp[(2) - (3)]));}
    break;

  case 109:

/* Line 1455 of yacc.c  */
#line 882 "tell_yacc.yy"
    {(yyval.pttname) = (yyvsp[(1) - (1)].pttname);}
    break;

  case 110:

/* Line 1455 of yacc.c  */
#line 883 "tell_yacc.yy"
    {(yyval.pttname) = parsercmd::BoolEx((yyvsp[(1) - (3)].pttname),(yyvsp[(3) - (3)].pttname),"==",(yylsp[(1) - (3)]),(yylsp[(2) - (3)]));}
    break;

  case 111:

/* Line 1455 of yacc.c  */
#line 884 "tell_yacc.yy"
    {(yyval.pttname) = parsercmd::BoolEx((yyvsp[(1) - (3)].pttname),(yyvsp[(3) - (3)].pttname),"!=",(yylsp[(1) - (3)]),(yylsp[(2) - (3)]));}
    break;

  case 112:

/* Line 1455 of yacc.c  */
#line 888 "tell_yacc.yy"
    {(yyval.pttname) = (yyvsp[(1) - (1)].pttname);}
    break;

  case 113:

/* Line 1455 of yacc.c  */
#line 889 "tell_yacc.yy"
    {(yyval.pttname) = parsercmd::BoolEx((yyvsp[(1) - (3)].pttname),(yyvsp[(3) - (3)].pttname),"<",(yylsp[(1) - (3)]),(yylsp[(2) - (3)]));}
    break;

  case 114:

/* Line 1455 of yacc.c  */
#line 890 "tell_yacc.yy"
    {(yyval.pttname) = parsercmd::BoolEx((yyvsp[(1) - (3)].pttname),(yyvsp[(3) - (3)].pttname),">",(yylsp[(1) - (3)]),(yylsp[(2) - (3)]));}
    break;

  case 115:

/* Line 1455 of yacc.c  */
#line 891 "tell_yacc.yy"
    {(yyval.pttname) = parsercmd::BoolEx((yyvsp[(1) - (3)].pttname),(yyvsp[(3) - (3)].pttname),"<=",(yylsp[(1) - (3)]),(yylsp[(2) - (3)]));}
    break;

  case 116:

/* Line 1455 of yacc.c  */
#line 892 "tell_yacc.yy"
    {(yyval.pttname) = parsercmd::BoolEx((yyvsp[(1) - (3)].pttname),(yyvsp[(3) - (3)].pttname),">=",(yylsp[(1) - (3)]),(yylsp[(2) - (3)]));}
    break;

  case 117:

/* Line 1455 of yacc.c  */
#line 896 "tell_yacc.yy"
    {(yyval.pttname) = (yyvsp[(1) - (1)].pttname);}
    break;

  case 118:

/* Line 1455 of yacc.c  */
#line 897 "tell_yacc.yy"
    {(yyval.pttname) = parsercmd::Plus((yyvsp[(1) - (3)].pttname),(yyvsp[(3) - (3)].pttname),(yylsp[(1) - (3)]),(yylsp[(3) - (3)]));}
    break;

  case 119:

/* Line 1455 of yacc.c  */
#line 898 "tell_yacc.yy"
    {(yyval.pttname) = parsercmd::Minus((yyvsp[(1) - (3)].pttname),(yyvsp[(3) - (3)].pttname),(yylsp[(1) - (3)]),(yylsp[(3) - (3)]));}
    break;

  case 120:

/* Line 1455 of yacc.c  */
#line 899 "tell_yacc.yy"
    {(yyval.pttname) = parsercmd::PointMv((yyvsp[(1) - (3)].pttname),(yyvsp[(3) - (3)].pttname),(yylsp[(1) - (3)]),(yylsp[(3) - (3)]),+1,+1);}
    break;

  case 121:

/* Line 1455 of yacc.c  */
#line 900 "tell_yacc.yy"
    {(yyval.pttname) = parsercmd::PointMv((yyvsp[(1) - (3)].pttname),(yyvsp[(3) - (3)].pttname),(yylsp[(1) - (3)]),(yylsp[(3) - (3)]),-1,+1);}
    break;

  case 122:

/* Line 1455 of yacc.c  */
#line 901 "tell_yacc.yy"
    {(yyval.pttname) = parsercmd::PointMv((yyvsp[(1) - (3)].pttname),(yyvsp[(3) - (3)].pttname),(yylsp[(1) - (3)]),(yylsp[(3) - (3)]),+1,-1);}
    break;

  case 123:

/* Line 1455 of yacc.c  */
#line 902 "tell_yacc.yy"
    {(yyval.pttname) = parsercmd::PointMv((yyvsp[(1) - (3)].pttname),(yyvsp[(3) - (3)].pttname),(yylsp[(1) - (3)]),(yylsp[(3) - (3)]),-1,-1);}
    break;

  case 124:

/* Line 1455 of yacc.c  */
#line 906 "tell_yacc.yy"
    {(yyval.pttname) = (yyvsp[(1) - (1)].pttname);}
    break;

  case 125:

/* Line 1455 of yacc.c  */
#line 907 "tell_yacc.yy"
    {(yyval.pttname) = parsercmd::Multiply((yyvsp[(1) - (3)].pttname),(yyvsp[(3) - (3)].pttname),(yylsp[(1) - (3)]),(yylsp[(3) - (3)]));}
    break;

  case 126:

/* Line 1455 of yacc.c  */
#line 908 "tell_yacc.yy"
    {(yyval.pttname) = parsercmd::Divide((yyvsp[(1) - (3)].pttname),(yyvsp[(3) - (3)].pttname),(yylsp[(1) - (3)]),(yylsp[(3) - (3)]));}
    break;

  case 127:

/* Line 1455 of yacc.c  */
#line 912 "tell_yacc.yy"
    {(yyval.pttname) = (yyvsp[(1) - (1)].pttname);}
    break;

  case 128:

/* Line 1455 of yacc.c  */
#line 913 "tell_yacc.yy"
    {(yyval.pttname) = parsercmd::UMinus((yyvsp[(2) - (2)].pttname),(yylsp[(2) - (2)]));}
    break;

  case 129:

/* Line 1455 of yacc.c  */
#line 914 "tell_yacc.yy"
    {(yyval.pttname) = parsercmd::BoolEx((yyvsp[(2) - (2)].pttname), "!",(yylsp[(2) - (2)]));}
    break;

  case 130:

/* Line 1455 of yacc.c  */
#line 915 "tell_yacc.yy"
    {(yyval.pttname) = parsercmd::BoolEx((yyvsp[(2) - (2)].pttname), "~",(yylsp[(2) - (2)]));}
    break;

  case 131:

/* Line 1455 of yacc.c  */
#line 919 "tell_yacc.yy"
    {(yyval.pttname) = telldata::tn_real;
      CMDBlock->pushcmd(DEBUG_NEW parsercmd::cmdPUSH(DEBUG_NEW telldata::ttreal((yyvsp[(1) - (1)].real)), false, true));}
    break;

  case 132:

/* Line 1455 of yacc.c  */
#line 921 "tell_yacc.yy"
    {(yyval.pttname) = telldata::tn_int;
      CMDBlock->pushcmd(DEBUG_NEW parsercmd::cmdPUSH(DEBUG_NEW telldata::ttint((yyvsp[(1) - (1)].integer)), false, true));}
    break;

  case 133:

/* Line 1455 of yacc.c  */
#line 923 "tell_yacc.yy"
    {(yyval.pttname) = telldata::tn_bool;
      CMDBlock->pushcmd(DEBUG_NEW parsercmd::cmdPUSH(DEBUG_NEW telldata::ttbool(true), false, true));}
    break;

  case 134:

/* Line 1455 of yacc.c  */
#line 925 "tell_yacc.yy"
    {(yyval.pttname) = telldata::tn_bool;
      CMDBlock->pushcmd(DEBUG_NEW parsercmd::cmdPUSH(DEBUG_NEW telldata::ttbool(false), false, true));}
    break;

  case 135:

/* Line 1455 of yacc.c  */
#line 927 "tell_yacc.yy"
    {(yyval.pttname) = telldata::tn_string;
      CMDBlock->pushcmd(DEBUG_NEW parsercmd::cmdPUSH(DEBUG_NEW telldata::ttstring((yyvsp[(1) - (1)].parsestr)), false, true));
                                                                delete [] (yyvsp[(1) - (1)].parsestr);}
    break;

  case 136:

/* Line 1455 of yacc.c  */
#line 930 "tell_yacc.yy"
    {(yyval.pttname) = (yyvsp[(1) - (1)].pttname);
      CMDBlock->pushcmd(DEBUG_NEW parsercmd::cmdPUSH(tellvar, indexed));}
    break;

  case 137:

/* Line 1455 of yacc.c  */
#line 932 "tell_yacc.yy"
    {(yyval.pttname) = (yyvsp[(1) - (1)].pttname);
      CMDBlock->pushcmd(DEBUG_NEW parsercmd::cmdPUSH(tellvar, false, true));}
    break;

  case 138:

/* Line 1455 of yacc.c  */
#line 934 "tell_yacc.yy"
    {(yyval.pttname) = (yyvsp[(1) - (1)].pttname); indexed = false;}
    break;

  case 139:

/* Line 1455 of yacc.c  */
#line 935 "tell_yacc.yy"
    {(yyval.pttname) = (yyvsp[(1) - (1)].pttname); indexed = false;}
    break;

  case 140:

/* Line 1455 of yacc.c  */
#line 936 "tell_yacc.yy"
    {(yyval.pttname) = (yyvsp[(2) - (3)].pttname);}
    break;

  case 141:

/* Line 1455 of yacc.c  */
#line 937 "tell_yacc.yy"
    {(yyval.pttname) = (yyvsp[(1) - (1)].pttname);}
    break;

  case 142:

/* Line 1455 of yacc.c  */
#line 938 "tell_yacc.yy"
    {tellerror("Unexpected symbol", (yylsp[(1) - (1)]));}
    break;



/* Line 1455 of yacc.c  */
#line 3263 "tell_yacc.cc"
      default: break;
    }
  YY_SYMBOL_PRINT ("-> $$ =", yyr1[yyn], &yyval, &yyloc);

  YYPOPSTACK (yylen);
  yylen = 0;
  YY_STACK_PRINT (yyss, yyssp);

  *++yyvsp = yyval;
  *++yylsp = yyloc;

  /* Now `shift' the result of the reduction.  Determine what state
     that goes to, based on the state we popped back to and the rule
     number reduced by.  */

  yyn = yyr1[yyn];

  yystate = yypgoto[yyn - YYNTOKENS] + *yyssp;
  if (0 <= yystate && yystate <= YYLAST && yycheck[yystate] == *yyssp)
    yystate = yytable[yystate];
  else
    yystate = yydefgoto[yyn - YYNTOKENS];

  goto yynewstate;


/*------------------------------------.
| yyerrlab -- here on detecting error |
`------------------------------------*/
yyerrlab:
  /* If not already recovering from an error, report this error.  */
  if (!yyerrstatus)
    {
      ++yynerrs;
#if ! YYERROR_VERBOSE
      yyerror (YY_("syntax error"));
#else
      {
	YYSIZE_T yysize = yysyntax_error (0, yystate, yychar);
	if (yymsg_alloc < yysize && yymsg_alloc < YYSTACK_ALLOC_MAXIMUM)
	  {
	    YYSIZE_T yyalloc = 2 * yysize;
	    if (! (yysize <= yyalloc && yyalloc <= YYSTACK_ALLOC_MAXIMUM))
	      yyalloc = YYSTACK_ALLOC_MAXIMUM;
	    if (yymsg != yymsgbuf)
	      YYSTACK_FREE (yymsg);
	    yymsg = (char *) YYSTACK_ALLOC (yyalloc);
	    if (yymsg)
	      yymsg_alloc = yyalloc;
	    else
	      {
		yymsg = yymsgbuf;
		yymsg_alloc = sizeof yymsgbuf;
	      }
	  }

	if (0 < yysize && yysize <= yymsg_alloc)
	  {
	    (void) yysyntax_error (yymsg, yystate, yychar);
	    yyerror (yymsg);
	  }
	else
	  {
	    yyerror (YY_("syntax error"));
	    if (yysize != 0)
	      goto yyexhaustedlab;
	  }
      }
#endif
    }

  yyerror_range[0] = yylloc;

  if (yyerrstatus == 3)
    {
      /* If just tried and failed to reuse lookahead token after an
	 error, discard it.  */

      if (yychar <= YYEOF)
	{
	  /* Return failure if at end of input.  */
	  if (yychar == YYEOF)
	    YYABORT;
	}
      else
	{
	  yydestruct ("Error: discarding",
		      yytoken, &yylval, &yylloc);
	  yychar = YYEMPTY;
	}
    }

  /* Else will try to reuse lookahead token after shifting the error
     token.  */
  goto yyerrlab1;


/*---------------------------------------------------.
| yyerrorlab -- error raised explicitly by YYERROR.  |
`---------------------------------------------------*/
yyerrorlab:

  /* Pacify compilers like GCC when the user code never invokes
     YYERROR and the label yyerrorlab therefore never appears in user
     code.  */
  if (/*CONSTCOND*/ 0)
     goto yyerrorlab;

  yyerror_range[0] = yylsp[1-yylen];
  /* Do not reclaim the symbols of the rule which action triggered
     this YYERROR.  */
  YYPOPSTACK (yylen);
  yylen = 0;
  YY_STACK_PRINT (yyss, yyssp);
  yystate = *yyssp;
  goto yyerrlab1;


/*-------------------------------------------------------------.
| yyerrlab1 -- common code for both syntax error and YYERROR.  |
`-------------------------------------------------------------*/
yyerrlab1:
  yyerrstatus = 3;	/* Each real token shifted decrements this.  */

  for (;;)
    {
      yyn = yypact[yystate];
      if (yyn != YYPACT_NINF)
	{
	  yyn += YYTERROR;
	  if (0 <= yyn && yyn <= YYLAST && yycheck[yyn] == YYTERROR)
	    {
	      yyn = yytable[yyn];
	      if (0 < yyn)
		break;
	    }
	}

      /* Pop the current state because it cannot handle the error token.  */
      if (yyssp == yyss)
	YYABORT;

      yyerror_range[0] = *yylsp;
      yydestruct ("Error: popping",
		  yystos[yystate], yyvsp, yylsp);
      YYPOPSTACK (1);
      yystate = *yyssp;
      YY_STACK_PRINT (yyss, yyssp);
    }

  *++yyvsp = yylval;

  yyerror_range[1] = yylloc;
  /* Using YYLLOC is tempting, but would change the location of
     the lookahead.  YYLOC is available though.  */
  YYLLOC_DEFAULT (yyloc, (yyerror_range - 1), 2);
  *++yylsp = yyloc;

  /* Shift the error token.  */
  YY_SYMBOL_PRINT ("Shifting", yystos[yyn], yyvsp, yylsp);

  yystate = yyn;
  goto yynewstate;


/*-------------------------------------.
| yyacceptlab -- YYACCEPT comes here.  |
`-------------------------------------*/
yyacceptlab:
  yyresult = 0;
  goto yyreturn;

/*-----------------------------------.
| yyabortlab -- YYABORT comes here.  |
`-----------------------------------*/
yyabortlab:
  yyresult = 1;
  goto yyreturn;

#if !defined(yyoverflow) || YYERROR_VERBOSE
/*-------------------------------------------------.
| yyexhaustedlab -- memory exhaustion comes here.  |
`-------------------------------------------------*/
yyexhaustedlab:
  yyerror (YY_("memory exhausted"));
  yyresult = 2;
  /* Fall through.  */
#endif

yyreturn:
  if (yychar != YYEMPTY)
     yydestruct ("Cleanup: discarding lookahead",
		 yytoken, &yylval, &yylloc);
  /* Do not reclaim the symbols of the rule which action triggered
     this YYABORT or YYACCEPT.  */
  YYPOPSTACK (yylen);
  YY_STACK_PRINT (yyss, yyssp);
  while (yyssp != yyss)
    {
      yydestruct ("Cleanup: popping",
		  yystos[*yyssp], yyvsp, yylsp);
      YYPOPSTACK (1);
    }
#ifndef yyoverflow
  if (yyss != yyssa)
    YYSTACK_FREE (yyss);
#endif
#if YYERROR_VERBOSE
  if (yymsg != yymsgbuf)
    YYSTACK_FREE (yymsg);
#endif
  /* Make sure YYID is used.  */
  return YYID (yyresult);
}



/* Line 1675 of yacc.c  */
#line 941 "tell_yacc.yy"

/*-------------------------------------------------------------------------*/
int tellerror (char *s)
{  /* Called by yyparse on error */
   std::ostringstream ost;
   ost << "line " << telllloc.first_line << ": col " << telllloc.first_column
       << ": " << s;
   tell_log(console::MT_ERROR,ost.str());
   return 0;
}

void tellerror (std::string s, YYLTYPE loc) 
{
   if (cfd) cfd->incErrors();
   else     yynerrs++;
   std::ostringstream ost;
   ost << "line " << loc.first_line << ": col " << loc.first_column << ": ";
   if (loc.filename) {
      std::string fn = loc.filename;
      ost << "in file \"" << fn << "\" : ";
   }
   ost << s;
   tell_log(console::MT_ERROR,ost.str());
}

void tellerror (std::string s)
{
   if (cfd) cfd->incErrors();
   else     yynerrs++;
   std::ostringstream ost;
   ost << "line " << telllloc.first_line << ": col " << telllloc.first_column << ": " << s;
   tell_log(console::MT_ERROR,ost.str());
}

void cleanonabort()
{
   CMDBlock = CMDBlock->cleaner();
   parsercmd::EOfile();
   if (tellvar)         {delete tellvar;        tellvar           = NULL;}
   if (tell_lvalue)     {delete tell_lvalue;    tell_lvalue       = NULL;}
   if (foreach_command) {delete foreach_command;foreach_command   = NULL;}
   if (listadd_command) {delete listadd_command;listadd_command   = NULL;}
   if (tellstruct)      {delete tellstruct;     tellstruct        = NULL;}
   if (argmap)          {delete argmap;         argmap            = NULL;}
   if (cfd)             {delete cfd;            cfd               = NULL;}
}

/*
%type <pblock>         block
    pblock      - that is actually the list structure type where all commands
                  are stored for future execution. block is the only predicate
                  of this type
block:
     '{'                                   {
         CMDBlock = DEBUG_NEW parsercmd::cmdBLOCK();
         CMDBlock->pushblk();
      }
     statements '}'                        {
         $$ = CMDBlock;
         CMDBlock = CMDBlock->popblk();
      }
;
*/
/*
     tknIF '(' expression ')'       {
         CMDBlock = DEBUG_NEW parsercmd::cmdBLOCK();
         CMDBlock->pushblk();
     }
     blockstatement {
         parsercmd::cmdBLOCK* if_block = CMDBlock;
         CMDBlock = CMDBlock->popblk();
         if (telldata::tn_bool != $3) tellerror("bool type expected",@3);
         else CMDBlock->pushcmd(DEBUG_NEW parsercmd::cmdIFELSE(if_block, NULL));
      }

   | tknIF '(' expression ')'       {
         CMDBlock = DEBUG_NEW parsercmd::cmdBLOCK();
         CMDBlock->pushblk();
   }
   blockstatement tknELSE           {
         CMDBlock = DEBUG_NEW parsercmd::cmdBLOCK();
         CMDBlock->pushblk();
   }
   blockstatement                   {
         parsercmd::cmdBLOCK* else_block = CMDBlock;
         CMDBlock = CMDBlock->popblk();
         parsercmd::cmdBLOCK* if_block = CMDBlock;
         CMDBlock = CMDBlock->popblk();
         if (telldata::tn_bool != $3) tellerror("bool type expected",@3);
         else CMDBlock->pushcmd(DEBUG_NEW parsercmd::cmdIFELSE(if_block,else_block));
      }
;
*/

